package mimemagic

var smap = map[string]*section{
	"application/docbook+xml":                                  &sarr[0],
	"application/vnd.stardivision.writer":                      &sarr[1],
	"image/x-eps":                                              &sarr[2],
	"application/prs.plucker":                                  &sarr[3],
	"application/vnd.corel-draw":                               &sarr[4],
	"application/x-cabri":                                      &sarr[5],
	"application/x-drgeo":                                      &sarr[6],
	"application/x-fictionbook+xml":                            &sarr[7],
	"application/x-kolf":                                       &sarr[8],
	"application/x-kourse":                                     &sarr[9],
	"application/x-kwallet":                                    &sarr[10],
	"application/x-mobipocket-ebook":                           &sarr[11],
	"application/x-mozilla-bookmarks":                          &sarr[12],
	"application/x-nzb":                                        &sarr[13],
	"application/x-pak":                                        &sarr[14],
	"application/x-php":                                        &sarr[15],
	"application/x-xliff":                                      &sarr[16],
	"audio/x-flac+ogg":                                         &sarr[17],
	"audio/x-speex+ogg":                                        &sarr[18],
	"audio/x-vorbis+ogg":                                       &sarr[19],
	"image/svg+xml":                                            &sarr[20],
	"image/x-kodak-kdc":                                        &sarr[21],
	"image/x-niff":                                             &sarr[22],
	"image/x-pic":                                              &sarr[23],
	"text/vnd.abc":                                             &sarr[24],
	"text/x-qml":                                               &sarr[25],
	"video/x-ogm+ogg":                                          &sarr[26],
	"video/x-theora+ogg":                                       &sarr[27],
	"application/atom+xml":                                     &sarr[28],
	"application/rss+xml":                                      &sarr[29],
	"application/vnd.apple.mpegurl":                            &sarr[30],
	"text/x-ihex":                                              &sarr[31],
	"text/x-opml+xml":                                          &sarr[32],
	"text/x-srecord":                                           &sarr[33],
	"application/msword":                                       &sarr[34],
	"application/vnd.ms-wpl":                                   &sarr[35],
	"application/x-font-type1":                                 &sarr[36],
	"application/x-karbon":                                     &sarr[37],
	"application/x-kchart":                                     &sarr[38],
	"application/x-kformula":                                   &sarr[39],
	"application/x-killustrator":                               &sarr[40],
	"application/x-kivio":                                      &sarr[41],
	"application/x-kontour":                                    &sarr[42],
	"application/x-kpresenter":                                 &sarr[43],
	"application/x-krita":                                      &sarr[44],
	"application/x-kspread":                                    &sarr[45],
	"application/x-kword":                                      &sarr[46],
	"application/x-quicktime-media-link":                       &sarr[47],
	"text/x-txt2tags":                                          &sarr[48],
	"application/smil":                                         &sarr[49],
	"audio/x-ms-asx":                                           &sarr[50],
	"application/annodex":                                      &sarr[51],
	"application/btoa":                                         &sarr[52],
	"application/dicom":                                        &sarr[53],
	"application/epub+zip":                                     &sarr[54],
	"application/gnunet-directory":                             &sarr[55],
	"application/mac-binhex40":                                 &sarr[56],
	"application/mathematica":                                  &sarr[57],
	"application/metalink+xml":                                 &sarr[58],
	"application/mxf":                                          &sarr[59],
	"application/ogg":                                          &sarr[60],
	"application/pdf":                                          &sarr[61],
	"application/pgp-encrypted":                                &sarr[62],
	"application/pgp-keys":                                     &sarr[63],
	"application/pgp-signature":                                &sarr[64],
	"application/postscript":                                   &sarr[65],
	"application/rtf":                                          &sarr[66],
	"application/sdp":                                          &sarr[67],
	"application/vnd.emusic-emusic_package":                    &sarr[68],
	"application/vnd.iccprofile":                               &sarr[69],
	"application/vnd.lotus-1-2-3":                              &sarr[70],
	"application/vnd.ms-access":                                &sarr[71],
	"application/vnd.ms-cab-compressed":                        &sarr[72],
	"application/vnd.ms-excel":                                 &sarr[73],
	"application/vnd.ms-tnef":                                  &sarr[74],
	"application/vnd.oasis.opendocument.chart":                 &sarr[75],
	"application/vnd.oasis.opendocument.chart-template":        &sarr[76],
	"application/vnd.oasis.opendocument.formula":               &sarr[77],
	"application/vnd.oasis.opendocument.formula-template":      &sarr[78],
	"application/vnd.oasis.opendocument.graphics":              &sarr[79],
	"application/vnd.oasis.opendocument.graphics-template":     &sarr[80],
	"application/vnd.oasis.opendocument.image":                 &sarr[81],
	"application/vnd.oasis.opendocument.presentation":          &sarr[82],
	"application/vnd.oasis.opendocument.presentation-template": &sarr[83],
	"application/vnd.oasis.opendocument.spreadsheet":           &sarr[84],
	"application/vnd.oasis.opendocument.spreadsheet-template":  &sarr[85],
	"application/vnd.oasis.opendocument.text":                  &sarr[86],
	"application/vnd.oasis.opendocument.text-master":           &sarr[87],
	"application/vnd.oasis.opendocument.text-template":         &sarr[88],
	"application/vnd.oasis.opendocument.text-web":              &sarr[89],
	"application/vnd.rn-realmedia":                             &sarr[90],
	"application/vnd.sun.xml.calc":                             &sarr[91],
	"application/vnd.sun.xml.calc.template":                    &sarr[92],
	"application/vnd.sun.xml.draw":                             &sarr[93],
	"application/vnd.sun.xml.draw.template":                    &sarr[94],
	"application/vnd.sun.xml.impress":                          &sarr[95],
	"application/vnd.sun.xml.impress.template":                 &sarr[96],
	"application/vnd.sun.xml.math":                             &sarr[97],
	"application/vnd.sun.xml.writer":                           &sarr[98],
	"application/vnd.sun.xml.writer.global":                    &sarr[99],
	"application/vnd.sun.xml.writer.template":                  &sarr[100],
	"application/vnd.symbian.install":                          &sarr[101],
	"application/vnd.tcpdump.pcap":                             &sarr[102],
	"application/vnd.wordperfect":                              &sarr[103],
	"application/x-7z-compressed":                              &sarr[104],
	"application/x-abiword":                                    &sarr[105],
	"application/x-ace":                                        &sarr[106],
	"application/x-alz":                                        &sarr[107],
	"application/x-aportisdoc":                                 &sarr[108],
	"application/x-applix-spreadsheet":                         &sarr[109],
	"application/x-applix-word":                                &sarr[110],
	"application/x-arc":                                        &sarr[111],
	"application/x-arj":                                        &sarr[112],
	"application/x-awk":                                        &sarr[113],
	"application/x-bittorrent":                                 &sarr[114],
	"application/x-blender":                                    &sarr[115],
	"application/x-bzip":                                       &sarr[116],
	"application/x-cdrdao-toc":                                 &sarr[117],
	"application/x-chess-pgn":                                  &sarr[118],
	"application/x-cisco-vpn-settings":                         &sarr[119],
	"application/x-compress":                                   &sarr[120],
	"application/x-core":                                       &sarr[121],
	"application/x-cpio":                                       &sarr[122],
	"application/x-csh":                                        &sarr[123],
	"application/x-dar":                                        &sarr[124],
	"application/x-deb":                                        &sarr[125],
	"application/x-designer":                                   &sarr[126],
	"application/x-desktop":                                    &sarr[127],
	"application/x-dia-diagram":                                &sarr[128],
	"application/x-dia-shape":                                  &sarr[129],
	"application/x-dvi":                                        &sarr[130],
	"application/x-fluid":                                      &sarr[131],
	"application/x-font-bdf":                                   &sarr[132],
	"application/x-font-dos":                                   &sarr[133],
	"application/x-font-framemaker":                            &sarr[134],
	"application/x-font-libgrx":                                &sarr[135],
	"application/x-font-linux-psf":                             &sarr[136],
	"application/x-font-otf":                                   &sarr[137],
	"application/x-font-pcf":                                   &sarr[138],
	"application/x-font-speedo":                                &sarr[139],
	"application/x-font-sunos-news":                            &sarr[140],
	"application/x-font-tex":                                   &sarr[141],
	"application/x-font-tex-tfm":                               &sarr[142],
	"application/x-font-ttf":                                   &sarr[143],
	"application/x-font-ttx":                                   &sarr[144],
	"application/x-font-vfont":                                 &sarr[145],
	"application/x-frame":                                      &sarr[146],
	"application/x-gdbm":                                       &sarr[147],
	"application/x-gedcom":                                     &sarr[148],
	"application/x-genesis-rom":                                &sarr[149],
	"application/x-glade":                                      &sarr[150],
	"application/x-gmc-link":                                   &sarr[151],
	"application/x-gnumeric":                                   &sarr[152],
	"application/x-go-sgf":                                     &sarr[153],
	"application/x-gtktalog":                                   &sarr[154],
	"application/x-gzip":                                       &sarr[155],
	"application/x-hdf":                                        &sarr[156],
	"application/x-hwp":                                        &sarr[157],
	"application/x-ipod-firmware":                              &sarr[158],
	"application/x-it87":                                       &sarr[159],
	"application/x-java":                                       &sarr[160],
	"application/x-java-jce-keystore":                          &sarr[161],
	"application/x-java-jnlp-file":                             &sarr[162],
	"application/x-java-keystore":                              &sarr[163],
	"application/x-java-pack200":                               &sarr[164],
	"application/x-kspread-crypt":                              &sarr[165],
	"application/x-ksysv-package":                              &sarr[166],
	"application/x-kword-crypt":                                &sarr[167],
	"application/x-lha":                                        &sarr[168],
	"application/x-lrzip":                                      &sarr[169],
	"application/x-lyx":                                        &sarr[170],
	"application/x-lzip":                                       &sarr[171],
	"application/x-lzop":                                       &sarr[172],
	"application/x-macbinary":                                  &sarr[173],
	"application/x-matroska":                                   &sarr[174],
	"application/x-ms-dos-executable":                          &sarr[175],
	"application/x-ms-wim":                                     &sarr[176],
	"application/x-mswinurl":                                   &sarr[177],
	"application/x-nautilus-link":                              &sarr[178],
	"application/x-navi-animation":                             &sarr[179],
	"application/x-netshow-channel":                            &sarr[180],
	"application/x-object":                                     &sarr[181],
	"application/x-ole-storage":                                &sarr[182],
	"application/x-oleo":                                       &sarr[183],
	"application/x-par2":                                       &sarr[184],
	"application/x-pef-executable":                             &sarr[185],
	"application/x-perl":                                       &sarr[186],
	"application/x-pocket-word":                                &sarr[187],
	"application/x-python-bytecode":                            &sarr[188],
	"application/x-rar":                                        &sarr[189],
	"application/x-rpm":                                        &sarr[190],
	"application/x-ruby":                                       &sarr[191],
	"application/x-sami":                                       &sarr[192],
	"application/x-sc":                                         &sarr[193],
	"application/x-sharedlib":                                  &sarr[194],
	"application/x-shellscript":                                &sarr[195],
	"application/x-shockwave-flash":                            &sarr[196],
	"application/x-shorten":                                    &sarr[197],
	"application/x-smaf":                                       &sarr[198],
	"application/x-spss-por":                                   &sarr[199],
	"application/x-spss-sav":                                   &sarr[200],
	"application/x-sqlite2":                                    &sarr[201],
	"application/x-sqlite3":                                    &sarr[202],
	"application/x-stuffit":                                    &sarr[203],
	"application/x-subrip":                                     &sarr[204],
	"application/x-t602":                                       &sarr[205],
	"application/x-tar":                                        &sarr[206],
	"application/x-tgif":                                       &sarr[207],
	"application/x-xbel":                                       &sarr[208],
	"application/x-xz":                                         &sarr[209],
	"application/x-yaml":                                       &sarr[210],
	"application/x-zoo":                                        &sarr[211],
	"application/xslt+xml":                                     &sarr[212],
	"application/xspf+xml":                                     &sarr[213],
	"audio/AMR":                                                &sarr[214],
	"audio/AMR-WB":                                             &sarr[215],
	"audio/ac3":                                                &sarr[216],
	"audio/annodex":                                            &sarr[217],
	"audio/flac":                                               &sarr[218],
	"audio/midi":                                               &sarr[219],
	"audio/mp4":                                                &sarr[220],
	"audio/mpeg":                                               &sarr[221],
	"audio/ogg":                                                &sarr[222],
	"audio/prs.sid":                                            &sarr[223],
	"audio/x-adpcm":                                            &sarr[224],
	"audio/x-aifc":                                             &sarr[225],
	"audio/x-aiff":                                             &sarr[226],
	"audio/x-ape":                                              &sarr[227],
	"audio/x-iriver-pla":                                       &sarr[228],
	"audio/x-it":                                               &sarr[229],
	"audio/x-m4b":                                              &sarr[230],
	"audio/x-mo3":                                              &sarr[231],
	"audio/x-mpegurl":                                          &sarr[232],
	"audio/x-musepack":                                         &sarr[233],
	"audio/x-psf":                                              &sarr[234],
	"audio/x-s3m":                                              &sarr[235],
	"audio/x-scpls":                                            &sarr[236],
	"audio/x-speex":                                            &sarr[237],
	"audio/x-stm":                                              &sarr[238],
	"audio/x-tta":                                              &sarr[239],
	"audio/x-wav":                                              &sarr[240],
	"audio/x-wavpack":                                          &sarr[241],
	"audio/x-wavpack-correction":                               &sarr[242],
	"audio/x-xi":                                               &sarr[243],
	"audio/x-xm":                                               &sarr[244],
	"audio/x-xmf":                                              &sarr[245],
	"image/bmp":                                                &sarr[246],
	"image/dpx":                                                &sarr[247],
	"image/fits":                                               &sarr[248],
	"image/gif":                                                &sarr[249],
	"image/jp2":                                                &sarr[250],
	"image/jpeg":                                               &sarr[251],
	"image/openraster":                                         &sarr[252],
	"image/png":                                                &sarr[253],
	"image/tiff":                                               &sarr[254],
	"image/vnd.adobe.photoshop":                                &sarr[255],
	"image/vnd.djvu":                                           &sarr[256],
	"image/vnd.dxf":                                            &sarr[257],
	"image/vnd.microsoft.icon":                                 &sarr[258],
	"image/vnd.ms-modi":                                        &sarr[259],
	"image/x-applix-graphics":                                  &sarr[260],
	"image/x-canon-crw":                                        &sarr[261],
	"image/x-dds":                                              &sarr[262],
	"image/x-dib":                                              &sarr[263],
	"image/x-emf":                                              &sarr[264],
	"image/x-exr":                                              &sarr[265],
	"image/x-fpx":                                              &sarr[266],
	"image/x-fuji-raf":                                         &sarr[267],
	"image/x-icns":                                             &sarr[268],
	"image/x-minolta-mrw":                                      &sarr[269],
	"image/x-olympus-orf":                                      &sarr[270],
	"image/x-panasonic-raw":                                    &sarr[271],
	"image/x-panasonic-raw2":                                   &sarr[272],
	"image/x-pcx":                                              &sarr[273],
	"image/x-portable-bitmap":                                  &sarr[274],
	"image/x-portable-graymap":                                 &sarr[275],
	"image/x-portable-pixmap":                                  &sarr[276],
	"image/x-quicktime":                                        &sarr[277],
	"image/x-sigma-x3f":                                        &sarr[278],
	"image/x-skencil":                                          &sarr[279],
	"image/x-sun-raster":                                       &sarr[280],
	"image/x-win-bitmap":                                       &sarr[281],
	"image/x-wmf":                                              &sarr[282],
	"image/x-xcf":                                              &sarr[283],
	"image/x-xcursor":                                          &sarr[284],
	"image/x-xfig":                                             &sarr[285],
	"image/x-xpixmap":                                          &sarr[286],
	"message/news":                                             &sarr[287],
	"message/rfc822":                                           &sarr[288],
	"text/cache-manifest":                                      &sarr[289],
	"text/calendar":                                            &sarr[290],
	"text/html":                                                &sarr[291],
	"text/plain":                                               &sarr[292],
	"text/spreadsheet":                                         &sarr[293],
	"text/troff":                                               &sarr[294],
	"text/vcard":                                               &sarr[295],
	"text/vnd.graphviz":                                        &sarr[296],
	"text/vnd.sun.j2me.app-descriptor":                         &sarr[297],
	"text/vnd.trolltech.linguist":                              &sarr[298],
	"text/vtt":                                                 &sarr[299],
	"text/x-ascii85":                                           &sarr[300],
	"text/x-bibtex":                                            &sarr[301],
	"text/x-emacs-lisp":                                        &sarr[302],
	"text/x-google-video-pointer":                              &sarr[303],
	"text/x-iMelody":                                           &sarr[304],
	"text/x-iptables":                                          &sarr[305],
	"text/x-ldif":                                              &sarr[306],
	"text/x-lua":                                               &sarr[307],
	"text/x-makefile":                                          &sarr[308],
	"text/x-matlab":                                            &sarr[309],
	"text/x-microdvd":                                          &sarr[310],
	"text/x-mpsub":                                             &sarr[311],
	"text/x-mrml":                                              &sarr[312],
	"text/x-ms-regedit":                                        &sarr[313],
	"text/x-mup":                                               &sarr[314],
	"text/x-patch":                                             &sarr[315],
	"text/x-python":                                            &sarr[316],
	"text/x-rpm-spec":                                          &sarr[317],
	"text/x-ssa":                                               &sarr[318],
	"text/x-subviewer":                                         &sarr[319],
	"text/x-tex":                                               &sarr[320],
	"text/x-uuencode":                                          &sarr[321],
	"text/x-xxencode":                                          &sarr[322],
	"text/xmcd":                                                &sarr[323],
	"video/3gpp":                                               &sarr[324],
	"video/3gpp2":                                              &sarr[325],
	"video/annodex":                                            &sarr[326],
	"video/dv":                                                 &sarr[327],
	"video/mp2t":                                               &sarr[328],
	"video/mp4":                                                &sarr[329],
	"video/mpeg":                                               &sarr[330],
	"video/ogg":                                                &sarr[331],
	"video/quicktime":                                          &sarr[332],
	"video/vnd.mpegurl":                                        &sarr[333],
	"video/webm":                                               &sarr[334],
	"video/x-flic":                                             &sarr[335],
	"video/x-flv":                                              &sarr[336],
	"video/x-ms-asf":                                           &sarr[337],
	"video/x-msvideo":                                          &sarr[338],
	"video/x-nsv":                                              &sarr[339],
	"video/x-sgi-movie":                                        &sarr[340],
	"x-epoc/x-sisx-app":                                        &sarr[341],
	"application/x-archive":                                    &sarr[342],
	"audio/x-riff":                                             &sarr[343],
	"application/x-executable":                                 &sarr[344],
	"application/xml":                                          &sarr[345],
	"application/zip":                                          &sarr[346],
	"audio/basic":                                              &sarr[347],
	"video/x-javafx":                                           &sarr[348],
	"text/x-csrc":                                              &sarr[349],
	"text/x-objcsrc":                                           &sarr[350],
	"application/mbox":                                         &sarr[351],
	"image/x-tga":                                              &sarr[352],
}

var sarr = [...]section{
	section{Name: "application/docbook+xml", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x3f, 0x78, 0x6d, 0x6c}, Mask: []byte{}}, matcher{Level: 1, Offset: 0, Range: 101, Value: []byte{0x2d, 0x2f, 0x2f, 0x4f, 0x41, 0x53, 0x49, 0x53, 0x2f, 0x2f, 0x44, 0x54, 0x44, 0x20, 0x44, 0x6f, 0x63, 0x42, 0x6f, 0x6f, 0x6b, 0x20, 0x58, 0x4d, 0x4c}, Mask: []byte{}}, matcher{Level: 1, Offset: 0, Range: 101, Value: []byte{0x2d, 0x2f, 0x2f, 0x4b, 0x44, 0x45, 0x2f, 0x2f, 0x44, 0x54, 0x44, 0x20, 0x44, 0x6f, 0x63, 0x42, 0x6f, 0x6f, 0x6b, 0x20, 0x58, 0x4d, 0x4c}, Mask: []byte{}}}},
	section{Name: "application/vnd.stardivision.writer", matchers: []matcher{matcher{Level: 0, Offset: 2089, Range: 0, Value: []byte{0x53, 0x74, 0x61, 0x72, 0x57, 0x72, 0x69, 0x74, 0x65, 0x72}, Mask: []byte{}}}},
	section{Name: "image/x-eps", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x25, 0x21}, Mask: []byte{}}, matcher{Level: 1, Offset: 15, Range: 0, Value: []byte{0x45, 0x50, 0x53}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4, 0x25, 0x21}, Mask: []byte{}}, matcher{Level: 1, Offset: 16, Range: 0, Value: []byte{0x45, 0x50, 0x53}, Mask: []byte{}}}},
	section{Name: "application/prs.plucker", matchers: []matcher{matcher{Level: 0, Offset: 60, Range: 0, Value: []byte{0x44, 0x61, 0x74, 0x61, 0x50, 0x6c, 0x6b, 0x72}, Mask: []byte{}}}},
	section{Name: "application/vnd.corel-draw", matchers: []matcher{matcher{Level: 0, Offset: 8, Range: 0, Value: []byte{0x43, 0x44, 0x52, 0x58, 0x76, 0x72, 0x73, 0x6e}, Mask: []byte{0xff, 0xff, 0xff, 0x0, 0xff, 0xff, 0xff, 0xff}}}},
	section{Name: "application/x-cabri", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x46, 0x49, 0x47, 0x55, 0x52, 0x45, 0x20, 0x43, 0x61, 0x62, 0x72, 0x69, 0x49, 0x49, 0x20, 0x76, 0x65, 0x72, 0x73, 0x2e, 0x20}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x46, 0x69, 0x67, 0x75, 0x72, 0x65, 0x20, 0x43, 0x61, 0x62, 0x72, 0x69, 0x20, 0x49, 0x49, 0x20}, Mask: []byte{}}}},
	section{Name: "application/x-drgeo", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x3f, 0x78, 0x6d, 0x6c, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x3d, 0x22, 0x31, 0x2e, 0x30, 0x22, 0x3f, 0x3e, 0xa, 0x3c, 0x64, 0x72, 0x67, 0x65, 0x6e, 0x69, 0x75, 0x73, 0x3e}, Mask: []byte{}}}},
	section{Name: "application/x-fictionbook+xml", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x46, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x42, 0x6f, 0x6f, 0x6b}, Mask: []byte{}}}},
	section{Name: "application/x-kolf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x5b, 0x30, 0x20, 0x53, 0x61, 0x76, 0x65, 0x64, 0x20, 0x47, 0x61, 0x6d, 0x65, 0x5d}, Mask: []byte{}}}},
	section{Name: "application/x-kourse", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x5b, 0x30, 0x2d, 0x63, 0x6f, 0x75, 0x72, 0x73, 0x65, 0x40, 0x2d, 0x35, 0x30, 0x2c, 0x2d, 0x35, 0x30, 0x5d}, Mask: []byte{}}}},
	section{Name: "application/x-kwallet", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4b, 0x57, 0x41, 0x4c, 0x4c, 0x45, 0x54}, Mask: []byte{}}}},
	section{Name: "application/x-mobipocket-ebook", matchers: []matcher{matcher{Level: 0, Offset: 60, Range: 0, Value: []byte{0x42, 0x4f, 0x4f, 0x4b, 0x4d, 0x4f, 0x42, 0x49}, Mask: []byte{}}}},
	section{Name: "application/x-mozilla-bookmarks", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 65, Value: []byte{0x3c, 0x21, 0x44, 0x4f, 0x43, 0x54, 0x59, 0x50, 0x45, 0x20, 0x4e, 0x45, 0x54, 0x53, 0x43, 0x41, 0x50, 0x45, 0x2d, 0x42, 0x6f, 0x6f, 0x6b, 0x6d, 0x61, 0x72, 0x6b, 0x2d, 0x66, 0x69, 0x6c, 0x65, 0x2d, 0x31, 0x3e}, Mask: []byte{}}}},
	section{Name: "application/x-nzb", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x6e, 0x7a, 0x62}, Mask: []byte{}}}},
	section{Name: "application/x-pak", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x41, 0x43, 0x4b}, Mask: []byte{}}}},
	section{Name: "application/x-php", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 65, Value: []byte{0x3c, 0x3f, 0x70, 0x68, 0x70}, Mask: []byte{}}}},
	section{Name: "application/x-xliff", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x78, 0x6c, 0x69, 0x66, 0x66}, Mask: []byte{}}}},
	section{Name: "audio/x-flac+ogg", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4f, 0x67, 0x67, 0x53}, Mask: []byte{}}, matcher{Level: 1, Offset: 28, Range: 0, Value: []byte{0x66, 0x4c, 0x61, 0x43}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4f, 0x67, 0x67, 0x53}, Mask: []byte{}}, matcher{Level: 1, Offset: 28, Range: 0, Value: []byte{0x7f, 0x46, 0x4c, 0x41, 0x43}, Mask: []byte{}}}},
	section{Name: "audio/x-speex+ogg", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4f, 0x67, 0x67, 0x53}, Mask: []byte{}}, matcher{Level: 1, Offset: 28, Range: 0, Value: []byte{0x53, 0x70, 0x65, 0x65, 0x78, 0x20, 0x20}, Mask: []byte{}}}},
	section{Name: "audio/x-vorbis+ogg", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4f, 0x67, 0x67, 0x53}, Mask: []byte{}}, matcher{Level: 1, Offset: 28, Range: 0, Value: []byte{0x1, 0x76, 0x6f, 0x72, 0x62, 0x69, 0x73}, Mask: []byte{}}}},
	section{Name: "image/svg+xml", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x21, 0x44, 0x4f, 0x43, 0x54, 0x59, 0x50, 0x45, 0x20, 0x73, 0x76, 0x67}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x73, 0x76, 0x67}, Mask: []byte{}}}},
	section{Name: "image/x-kodak-kdc", matchers: []matcher{matcher{Level: 0, Offset: 242, Range: 0, Value: []byte{0x45, 0x41, 0x53, 0x54, 0x4d, 0x41, 0x4e, 0x20, 0x4b, 0x4f, 0x44, 0x41, 0x4b, 0x20, 0x43, 0x4f, 0x4d, 0x50, 0x41, 0x4e, 0x59}, Mask: []byte{}}}},
	section{Name: "image/x-niff", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x49, 0x49, 0x4e, 0x31}, Mask: []byte{}}}},
	section{Name: "image/x-pic", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x53, 0x80, 0xf6, 0x34}, Mask: []byte{}}}},
	section{Name: "text/vnd.abc", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x25, 0x61, 0x62, 0x63}, Mask: []byte{}}}},
	section{Name: "text/x-qml", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x20, 0x51, 0x74, 0x20}, Mask: []byte{}}}},
	section{Name: "video/x-ogm+ogg", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4f, 0x67, 0x67, 0x53}, Mask: []byte{}}, matcher{Level: 1, Offset: 29, Range: 0, Value: []byte{0x76, 0x69, 0x64, 0x65, 0x6f}, Mask: []byte{}}}},
	section{Name: "video/x-theora+ogg", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4f, 0x67, 0x67, 0x53}, Mask: []byte{}}, matcher{Level: 1, Offset: 28, Range: 0, Value: []byte{0x80, 0x74, 0x68, 0x65, 0x6f, 0x72, 0x61}, Mask: []byte{}}}},
	section{Name: "application/atom+xml", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x66, 0x65, 0x65, 0x64, 0x20}, Mask: []byte{}}}},
	section{Name: "application/rss+xml", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x72, 0x73, 0x73, 0x20}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x52, 0x53, 0x53, 0x20}, Mask: []byte{}}}},
	section{Name: "application/vnd.apple.mpegurl", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x45, 0x58, 0x54, 0x4d, 0x33, 0x55}, Mask: []byte{}}, matcher{Level: 1, Offset: 0, Range: 129, Value: []byte{0x23, 0x45, 0x58, 0x54, 0x2d, 0x58, 0x2d, 0x54, 0x41, 0x52, 0x47, 0x45, 0x54, 0x44, 0x55, 0x52, 0x41, 0x54, 0x49, 0x4f, 0x4e}, Mask: []byte{}}, matcher{Level: 1, Offset: 0, Range: 129, Value: []byte{0x23, 0x45, 0x58, 0x54, 0x2d, 0x58, 0x2d, 0x53, 0x54, 0x52, 0x45, 0x41, 0x4d, 0x2d, 0x49, 0x4e, 0x46}, Mask: []byte{}}}},
	section{Name: "text/x-ihex", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3a}, Mask: []byte{}}}},
	section{Name: "text/x-opml+xml", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x6f, 0x70, 0x6d, 0x6c, 0x20}, Mask: []byte{}}}},
	section{Name: "text/x-srecord", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x53, 0x30}, Mask: []byte{}}, matcher{Level: 1, Offset: 4, Range: 0, Value: []byte{0x30, 0x30, 0x30, 0x30}, Mask: []byte{}}}},
	section{Name: "application/msword", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x31, 0xbe, 0x0, 0x0}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4f, 0x5e, 0x51, 0x60}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xfe, 0x37, 0x0, 0x23}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xdb, 0xa5, 0x2d, 0x0, 0x0, 0x0}, Mask: []byte{}}, matcher{Level: 0, Offset: 2112, Range: 0, Value: []byte{0x4d, 0x53, 0x57, 0x6f, 0x72, 0x64, 0x44, 0x6f, 0x63}, Mask: []byte{}}, matcher{Level: 0, Offset: 2108, Range: 0, Value: []byte{0x4d, 0x53, 0x57, 0x6f, 0x72, 0x64, 0x44, 0x6f, 0x63}, Mask: []byte{}}, matcher{Level: 0, Offset: 2112, Range: 0, Value: []byte{0x4d, 0x69, 0x63, 0x72, 0x6f, 0x73, 0x6f, 0x66, 0x74, 0x20, 0x57, 0x6f, 0x72, 0x64, 0x20, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x64, 0x61, 0x74, 0x61}, Mask: []byte{}}, matcher{Level: 0, Offset: 546, Range: 0, Value: []byte{0x62, 0x6a, 0x62, 0x6a}, Mask: []byte{}}, matcher{Level: 0, Offset: 546, Range: 0, Value: []byte{0x6a, 0x62, 0x6a, 0x62}, Mask: []byte{}}}},
	section{Name: "application/vnd.ms-wpl", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x3f, 0x77, 0x70, 0x6c}, Mask: []byte{}}}},
	section{Name: "application/x-font-type1", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4c, 0x57, 0x46, 0x4e}, Mask: []byte{}}, matcher{Level: 0, Offset: 65, Range: 0, Value: []byte{0x4c, 0x57, 0x46, 0x4e}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x25, 0x21, 0x50, 0x53, 0x2d, 0x41, 0x64, 0x6f, 0x62, 0x65, 0x46, 0x6f, 0x6e, 0x74, 0x2d, 0x31, 0x2e}, Mask: []byte{}}, matcher{Level: 0, Offset: 6, Range: 0, Value: []byte{0x25, 0x21, 0x50, 0x53, 0x2d, 0x41, 0x64, 0x6f, 0x62, 0x65, 0x46, 0x6f, 0x6e, 0x74, 0x2d, 0x31, 0x2e}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x25, 0x21, 0x46, 0x6f, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x31, 0x2d, 0x31, 0x2e}, Mask: []byte{}}, matcher{Level: 0, Offset: 6, Range: 0, Value: []byte{0x25, 0x21, 0x46, 0x6f, 0x6e, 0x74, 0x54, 0x79, 0x70, 0x65, 0x31, 0x2d, 0x31, 0x2e}, Mask: []byte{}}}},
	section{Name: "application/x-karbon", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1f, 0x8b}, Mask: []byte{}}, matcher{Level: 1, Offset: 10, Range: 0, Value: []byte{0x4b, 0x4f, 0x66, 0x66, 0x69, 0x63, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 18, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x61, 0x72, 0x62, 0x6f, 0x6e, 0x4, 0x6}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x61, 0x72, 0x62, 0x6f, 0x6e}, Mask: []byte{}}}},
	section{Name: "application/x-kchart", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1f, 0x8b}, Mask: []byte{}}, matcher{Level: 1, Offset: 10, Range: 0, Value: []byte{0x4b, 0x4f, 0x66, 0x66, 0x69, 0x63, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 18, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x63, 0x68, 0x61, 0x72, 0x74, 0x4, 0x6}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x63, 0x68, 0x61, 0x72, 0x74}, Mask: []byte{}}}},
	section{Name: "application/x-kformula", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1f, 0x8b}, Mask: []byte{}}, matcher{Level: 1, Offset: 10, Range: 0, Value: []byte{0x4b, 0x4f, 0x66, 0x66, 0x69, 0x63, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 18, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x66, 0x6f, 0x72, 0x6d, 0x75, 0x6c, 0x61, 0x4, 0x6}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x66, 0x6f, 0x72, 0x6d, 0x75, 0x6c, 0x61}, Mask: []byte{}}}},
	section{Name: "application/x-killustrator", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1f, 0x8b}, Mask: []byte{}}, matcher{Level: 1, Offset: 10, Range: 0, Value: []byte{0x4b, 0x4f, 0x66, 0x66, 0x69, 0x63, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 18, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x69, 0x6c, 0x6c, 0x75, 0x73, 0x74, 0x72, 0x61, 0x74, 0x6f, 0x72, 0x4, 0x6}, Mask: []byte{}}}},
	section{Name: "application/x-kivio", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1f, 0x8b}, Mask: []byte{}}, matcher{Level: 1, Offset: 10, Range: 0, Value: []byte{0x4b, 0x4f, 0x66, 0x66, 0x69, 0x63, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 18, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x69, 0x76, 0x69, 0x6f, 0x4, 0x6}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x69, 0x76, 0x69, 0x6f}, Mask: []byte{}}}},
	section{Name: "application/x-kontour", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1f, 0x8b}, Mask: []byte{}}, matcher{Level: 1, Offset: 10, Range: 0, Value: []byte{0x4b, 0x4f, 0x66, 0x66, 0x69, 0x63, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 18, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x6f, 0x6e, 0x74, 0x6f, 0x75, 0x72, 0x4, 0x6}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x6f, 0x6e, 0x74, 0x6f, 0x75, 0x72}, Mask: []byte{}}}},
	section{Name: "application/x-kpresenter", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1f, 0x8b}, Mask: []byte{}}, matcher{Level: 1, Offset: 10, Range: 0, Value: []byte{0x4b, 0x4f, 0x66, 0x66, 0x69, 0x63, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 18, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x70, 0x72, 0x65, 0x73, 0x65, 0x6e, 0x74, 0x65, 0x72, 0x4, 0x6}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x70, 0x72, 0x65, 0x73, 0x65, 0x6e, 0x74, 0x65, 0x72}, Mask: []byte{}}}},
	section{Name: "application/x-krita", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1f, 0x8b}, Mask: []byte{}}, matcher{Level: 1, Offset: 10, Range: 0, Value: []byte{0x4b, 0x4f, 0x66, 0x66, 0x69, 0x63, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 18, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x72, 0x69, 0x74, 0x61, 0x4, 0x6}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x72, 0x69, 0x74, 0x61}, Mask: []byte{}}}},
	section{Name: "application/x-kspread", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1f, 0x8b}, Mask: []byte{}}, matcher{Level: 1, Offset: 10, Range: 0, Value: []byte{0x4b, 0x4f, 0x66, 0x66, 0x69, 0x63, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 18, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x73, 0x70, 0x72, 0x65, 0x61, 0x64, 0x4, 0x6}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x73, 0x70, 0x72, 0x65, 0x61, 0x64}, Mask: []byte{}}}},
	section{Name: "application/x-kword", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1f, 0x8b}, Mask: []byte{}}, matcher{Level: 1, Offset: 10, Range: 0, Value: []byte{0x4b, 0x4f, 0x66, 0x66, 0x69, 0x63, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 18, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x77, 0x6f, 0x72, 0x64, 0x4, 0x6}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x78, 0x2d, 0x6b, 0x77, 0x6f, 0x72, 0x64}, Mask: []byte{}}}},
	section{Name: "application/x-quicktime-media-link", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x3f, 0x78, 0x6d, 0x6c}, Mask: []byte{}}, matcher{Level: 1, Offset: 0, Range: 65, Value: []byte{0x3c, 0x3f, 0x71, 0x75, 0x69, 0x63, 0x6b, 0x74, 0x69, 0x6d, 0x65}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x52, 0x54, 0x53, 0x50, 0x74, 0x65, 0x78, 0x74}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x72, 0x74, 0x73, 0x70, 0x74, 0x65, 0x78, 0x74}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x53, 0x4d, 0x49, 0x4c, 0x74, 0x65, 0x78, 0x74}, Mask: []byte{}}}},
	section{Name: "text/x-txt2tags", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x25, 0x21, 0x70, 0x6f, 0x73, 0x74, 0x70, 0x72, 0x6f, 0x63}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x25, 0x21, 0x65, 0x6e, 0x63, 0x6f, 0x64, 0x69, 0x6e, 0x67}, Mask: []byte{}}}},
	section{Name: "application/smil", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x73, 0x6d, 0x69, 0x6c}, Mask: []byte{}}}},
	section{Name: "audio/x-ms-asx", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x41, 0x53, 0x46, 0x20}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 65, Value: []byte{0x3c, 0x41, 0x53, 0x58}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 65, Value: []byte{0x3c, 0x61, 0x73, 0x78}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 65, Value: []byte{0x3c, 0x41, 0x73, 0x78}, Mask: []byte{}}}},
	section{Name: "application/annodex", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4f, 0x67, 0x67, 0x53}, Mask: []byte{}}, matcher{Level: 1, Offset: 28, Range: 0, Value: []byte{0x66, 0x69, 0x73, 0x68, 0x65, 0x61, 0x64, 0x0}, Mask: []byte{}}, matcher{Level: 2, Offset: 56, Range: 457, Value: []byte{0x43, 0x4d, 0x4d, 0x4c, 0x0, 0x0, 0x0, 0x0}, Mask: []byte{}}}},
	section{Name: "application/btoa", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x78, 0x62, 0x74, 0x6f, 0x61, 0x20, 0x42, 0x65, 0x67, 0x69, 0x6e}, Mask: []byte{}}}},
	section{Name: "application/dicom", matchers: []matcher{matcher{Level: 0, Offset: 128, Range: 0, Value: []byte{0x44, 0x49, 0x43, 0x4d}, Mask: []byte{}}}},
	section{Name: "application/epub+zip", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x65, 0x70, 0x75, 0x62, 0x2b, 0x7a, 0x69, 0x70}, Mask: []byte{}}}},
	section{Name: "application/gnunet-directory", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x89, 0x47, 0x4e, 0x44, 0xd, 0xa, 0x1a, 0xa}, Mask: []byte{}}}},
	section{Name: "application/mac-binhex40", matchers: []matcher{matcher{Level: 0, Offset: 11, Range: 0, Value: []byte{0x6d, 0x75, 0x73, 0x74, 0x20, 0x62, 0x65, 0x20, 0x63, 0x6f, 0x6e, 0x76, 0x65, 0x72, 0x74, 0x65, 0x64, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x42, 0x69, 0x6e, 0x48, 0x65, 0x78}, Mask: []byte{}}}},
	section{Name: "application/mathematica", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x28, 0x2a, 0x2a, 0x2a, 0x2a, 0x2a, 0x2a, 0x2a, 0x2a, 0x2a, 0x2a, 0x2a, 0x2a, 0x2a, 0x2a, 0x20, 0x43, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x2d, 0x74, 0x79, 0x70, 0x65, 0x3a, 0x20, 0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x6d, 0x61, 0x74, 0x68, 0x65, 0x6d, 0x61, 0x74, 0x69, 0x63, 0x61}, Mask: []byte{}}, matcher{Level: 0, Offset: 100, Range: 157, Value: []byte{0x54, 0x68, 0x69, 0x73, 0x20, 0x6e, 0x6f, 0x74, 0x65, 0x62, 0x6f, 0x6f, 0x6b, 0x20, 0x63, 0x61, 0x6e, 0x20, 0x62, 0x65, 0x20, 0x75, 0x73, 0x65, 0x64, 0x20, 0x6f, 0x6e, 0x20, 0x61, 0x6e, 0x79, 0x20, 0x63, 0x6f, 0x6d, 0x70, 0x75, 0x74, 0x65, 0x72, 0x20, 0x73, 0x79, 0x73, 0x74, 0x65, 0x6d, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x4d, 0x61, 0x74, 0x68, 0x65, 0x6d, 0x61, 0x74, 0x69, 0x63, 0x61}, Mask: []byte{}}, matcher{Level: 0, Offset: 10, Range: 247, Value: []byte{0x54, 0x68, 0x69, 0x73, 0x20, 0x69, 0x73, 0x20, 0x61, 0x20, 0x4d, 0x61, 0x74, 0x68, 0x65, 0x6d, 0x61, 0x74, 0x69, 0x63, 0x61, 0x20, 0x4e, 0x6f, 0x74, 0x65, 0x62, 0x6f, 0x6f, 0x6b, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x20, 0x20, 0x49, 0x74, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x73, 0x20, 0x41, 0x53, 0x43, 0x49, 0x49, 0x20, 0x74, 0x65, 0x78, 0x74}, Mask: []byte{}}}},
	section{Name: "application/metalink+xml", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x6d, 0x65, 0x74, 0x61, 0x6c, 0x69, 0x6e, 0x6b}, Mask: []byte{}}}},
	section{Name: "application/mxf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x6, 0xe, 0x2b, 0x34, 0x2, 0x5, 0x1, 0x1, 0xd, 0x1, 0x2, 0x1, 0x1, 0x2}, Mask: []byte{}}}},
	section{Name: "application/ogg", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4f, 0x67, 0x67, 0x53}, Mask: []byte{}}}},
	section{Name: "application/pdf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 1025, Value: []byte{0x25, 0x50, 0x44, 0x46, 0x2d}, Mask: []byte{}}}},
	section{Name: "application/pgp-encrypted", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x42, 0x45, 0x47, 0x49, 0x4e, 0x20, 0x50, 0x47, 0x50, 0x20, 0x4d, 0x45, 0x53, 0x53, 0x41, 0x47, 0x45, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d}, Mask: []byte{}}}},
	section{Name: "application/pgp-keys", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x42, 0x45, 0x47, 0x49, 0x4e, 0x20, 0x50, 0x47, 0x50, 0x20, 0x50, 0x55, 0x42, 0x4c, 0x49, 0x43, 0x20, 0x4b, 0x45, 0x59, 0x20, 0x42, 0x4c, 0x4f, 0x43, 0x4b, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x42, 0x45, 0x47, 0x49, 0x4e, 0x20, 0x50, 0x47, 0x50, 0x20, 0x50, 0x52, 0x49, 0x56, 0x41, 0x54, 0x45, 0x20, 0x4b, 0x45, 0x59, 0x20, 0x42, 0x4c, 0x4f, 0x43, 0x4b, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x95, 0x1}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x95, 0x0}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x99, 0x0}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x99, 0x1}, Mask: []byte{}}}},
	section{Name: "application/pgp-signature", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x42, 0x45, 0x47, 0x49, 0x4e, 0x20, 0x50, 0x47, 0x50, 0x20, 0x53, 0x49, 0x47, 0x4e, 0x45, 0x44, 0x20, 0x4d, 0x45, 0x53, 0x53, 0x41, 0x47, 0x45, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2d, 0x2d, 0x2d, 0x2d, 0x2d, 0x42, 0x45, 0x47, 0x49, 0x4e, 0x20, 0x50, 0x47, 0x50, 0x20, 0x53, 0x49, 0x47, 0x4e, 0x41, 0x54, 0x55, 0x52, 0x45, 0x2d, 0x2d, 0x2d, 0x2d, 0x2d}, Mask: []byte{}}}},
	section{Name: "application/postscript", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4, 0x25, 0x21}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x25, 0x21}, Mask: []byte{}}}},
	section{Name: "application/rtf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x7b, 0x5c, 0x72, 0x74, 0x66}, Mask: []byte{}}}},
	section{Name: "application/sdp", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x76, 0x3d}, Mask: []byte{}}, matcher{Level: 1, Offset: 0, Range: 257, Value: []byte{0x73, 0x3d}, Mask: []byte{}}}},
	section{Name: "application/vnd.emusic-emusic_package", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x6e, 0x46, 0x37, 0x59, 0x4c, 0x61, 0x6f}, Mask: []byte{}}}},
	section{Name: "application/vnd.iccprofile", matchers: []matcher{matcher{Level: 0, Offset: 36, Range: 0, Value: []byte{0x61, 0x63, 0x73, 0x70}, Mask: []byte{}}}},
	section{Name: "application/vnd.lotus-1-2-3", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x0, 0x0, 0x2, 0x0, 0x6, 0x4, 0x6, 0x0, 0x8, 0x0, 0x0, 0x0, 0x0, 0x0}, Mask: []byte{}}}},
	section{Name: "application/vnd.ms-access", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x0, 0x1, 0x0, 0x0, 0x53, 0x74, 0x61, 0x6e, 0x64, 0x61, 0x72, 0x64, 0x20, 0x4a, 0x65, 0x74, 0x20, 0x44, 0x42}, Mask: []byte{}}}},
	section{Name: "application/vnd.ms-cab-compressed", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4d, 0x53, 0x43, 0x46, 0x0, 0x0, 0x0, 0x0}, Mask: []byte{}}}},
	section{Name: "application/vnd.ms-excel", matchers: []matcher{matcher{Level: 0, Offset: 2080, Range: 0, Value: []byte{0x4d, 0x69, 0x63, 0x72, 0x6f, 0x73, 0x6f, 0x66, 0x74, 0x20, 0x45, 0x78, 0x63, 0x65, 0x6c, 0x20, 0x35, 0x2e, 0x30, 0x20, 0x57, 0x6f, 0x72, 0x6b, 0x73, 0x68, 0x65, 0x65, 0x74}, Mask: []byte{}}}},
	section{Name: "application/vnd.ms-tnef", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x78, 0x9f, 0x3e, 0x22}, Mask: []byte{}}}},
	section{Name: "application/vnd.oasis.opendocument.chart", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x6f, 0x61, 0x73, 0x69, 0x73, 0x2e, 0x6f, 0x70, 0x65, 0x6e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x63, 0x68, 0x61, 0x72, 0x74}, Mask: []byte{}}}},
	section{Name: "application/vnd.oasis.opendocument.chart-template", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x6f, 0x61, 0x73, 0x69, 0x73, 0x2e, 0x6f, 0x70, 0x65, 0x6e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x63, 0x68, 0x61, 0x72, 0x74, 0x2d, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65}, Mask: []byte{}}}},
	section{Name: "application/vnd.oasis.opendocument.formula", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x6f, 0x61, 0x73, 0x69, 0x73, 0x2e, 0x6f, 0x70, 0x65, 0x6e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x66, 0x6f, 0x72, 0x6d, 0x75, 0x6c, 0x61}, Mask: []byte{}}}},
	section{Name: "application/vnd.oasis.opendocument.formula-template", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x6f, 0x61, 0x73, 0x69, 0x73, 0x2e, 0x6f, 0x70, 0x65, 0x6e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x66, 0x6f, 0x72, 0x6d, 0x75, 0x6c, 0x61, 0x2d, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65}, Mask: []byte{}}}},
	section{Name: "application/vnd.oasis.opendocument.graphics", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x6f, 0x61, 0x73, 0x69, 0x73, 0x2e, 0x6f, 0x70, 0x65, 0x6e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x72, 0x61, 0x70, 0x68, 0x69, 0x63, 0x73}, Mask: []byte{}}}},
	section{Name: "application/vnd.oasis.opendocument.graphics-template", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x6f, 0x61, 0x73, 0x69, 0x73, 0x2e, 0x6f, 0x70, 0x65, 0x6e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x67, 0x72, 0x61, 0x70, 0x68, 0x69, 0x63, 0x73, 0x2d, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65}, Mask: []byte{}}}},
	section{Name: "application/vnd.oasis.opendocument.image", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x6f, 0x61, 0x73, 0x69, 0x73, 0x2e, 0x6f, 0x70, 0x65, 0x6e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x69, 0x6d, 0x61, 0x67, 0x65}, Mask: []byte{}}}},
	section{Name: "application/vnd.oasis.opendocument.presentation", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x6f, 0x61, 0x73, 0x69, 0x73, 0x2e, 0x6f, 0x70, 0x65, 0x6e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x65, 0x73, 0x65, 0x6e, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e}, Mask: []byte{}}}},
	section{Name: "application/vnd.oasis.opendocument.presentation-template", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x6f, 0x61, 0x73, 0x69, 0x73, 0x2e, 0x6f, 0x70, 0x65, 0x6e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x70, 0x72, 0x65, 0x73, 0x65, 0x6e, 0x74, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2d, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65}, Mask: []byte{}}}},
	section{Name: "application/vnd.oasis.opendocument.spreadsheet", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x6f, 0x61, 0x73, 0x69, 0x73, 0x2e, 0x6f, 0x70, 0x65, 0x6e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x73, 0x70, 0x72, 0x65, 0x61, 0x64, 0x73, 0x68, 0x65, 0x65, 0x74}, Mask: []byte{}}}},
	section{Name: "application/vnd.oasis.opendocument.spreadsheet-template", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x6f, 0x61, 0x73, 0x69, 0x73, 0x2e, 0x6f, 0x70, 0x65, 0x6e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x73, 0x70, 0x72, 0x65, 0x61, 0x64, 0x73, 0x68, 0x65, 0x65, 0x74, 0x2d, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65}, Mask: []byte{}}}},
	section{Name: "application/vnd.oasis.opendocument.text", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x6f, 0x61, 0x73, 0x69, 0x73, 0x2e, 0x6f, 0x70, 0x65, 0x6e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x74, 0x65, 0x78, 0x74}, Mask: []byte{}}}},
	section{Name: "application/vnd.oasis.opendocument.text-master", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x6f, 0x61, 0x73, 0x69, 0x73, 0x2e, 0x6f, 0x70, 0x65, 0x6e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x74, 0x65, 0x78, 0x74, 0x2d, 0x6d, 0x61, 0x73, 0x74, 0x65, 0x72}, Mask: []byte{}}}},
	section{Name: "application/vnd.oasis.opendocument.text-template", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x6f, 0x61, 0x73, 0x69, 0x73, 0x2e, 0x6f, 0x70, 0x65, 0x6e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x74, 0x65, 0x78, 0x74, 0x2d, 0x74, 0x65, 0x6d, 0x70, 0x6c, 0x61, 0x74, 0x65}, Mask: []byte{}}}},
	section{Name: "application/vnd.oasis.opendocument.text-web", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x6f, 0x61, 0x73, 0x69, 0x73, 0x2e, 0x6f, 0x70, 0x65, 0x6e, 0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x2e, 0x74, 0x65, 0x78, 0x74, 0x2d, 0x77, 0x65, 0x62}, Mask: []byte{}}}},
	section{Name: "application/vnd.rn-realmedia", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2e, 0x52, 0x4d, 0x46}, Mask: []byte{}}}},
	section{Name: "application/vnd.sun.xml.calc", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x73, 0x75, 0x6e, 0x2e, 0x78, 0x6d, 0x6c, 0x2e, 0x63, 0x61, 0x6c, 0x63}, Mask: []byte{}}}},
	section{Name: "application/vnd.sun.xml.calc.template", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x73, 0x75, 0x6e, 0x2e, 0x78, 0x6d, 0x6c, 0x2e, 0x63, 0x61, 0x6c, 0x63}, Mask: []byte{}}}},
	section{Name: "application/vnd.sun.xml.draw", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x73, 0x75, 0x6e, 0x2e, 0x78, 0x6d, 0x6c, 0x2e, 0x64, 0x72, 0x61, 0x77}, Mask: []byte{}}}},
	section{Name: "application/vnd.sun.xml.draw.template", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x73, 0x75, 0x6e, 0x2e, 0x78, 0x6d, 0x6c, 0x2e, 0x64, 0x72, 0x61, 0x77}, Mask: []byte{}}}},
	section{Name: "application/vnd.sun.xml.impress", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x73, 0x75, 0x6e, 0x2e, 0x78, 0x6d, 0x6c, 0x2e, 0x69, 0x6d, 0x70, 0x72, 0x65, 0x73, 0x73}, Mask: []byte{}}}},
	section{Name: "application/vnd.sun.xml.impress.template", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x73, 0x75, 0x6e, 0x2e, 0x78, 0x6d, 0x6c, 0x2e, 0x69, 0x6d, 0x70, 0x72, 0x65, 0x73, 0x73}, Mask: []byte{}}}},
	section{Name: "application/vnd.sun.xml.math", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x73, 0x75, 0x6e, 0x2e, 0x78, 0x6d, 0x6c, 0x2e, 0x6d, 0x61, 0x74, 0x68}, Mask: []byte{}}}},
	section{Name: "application/vnd.sun.xml.writer", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x73, 0x75, 0x6e, 0x2e, 0x78, 0x6d, 0x6c, 0x2e, 0x77, 0x72, 0x69, 0x74, 0x65, 0x72}, Mask: []byte{}}}},
	section{Name: "application/vnd.sun.xml.writer.global", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x73, 0x75, 0x6e, 0x2e, 0x78, 0x6d, 0x6c, 0x2e, 0x77, 0x72, 0x69, 0x74, 0x65, 0x72}, Mask: []byte{}}}},
	section{Name: "application/vnd.sun.xml.writer.template", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x61, 0x70, 0x70, 0x6c, 0x69, 0x63, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x76, 0x6e, 0x64, 0x2e, 0x73, 0x75, 0x6e, 0x2e, 0x78, 0x6d, 0x6c, 0x2e, 0x77, 0x72, 0x69, 0x74, 0x65, 0x72}, Mask: []byte{}}}},
	section{Name: "application/vnd.symbian.install", matchers: []matcher{matcher{Level: 0, Offset: 8, Range: 0, Value: []byte{0x19, 0x4, 0x0, 0x10}, Mask: []byte{}}}},
	section{Name: "application/vnd.tcpdump.pcap", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xa1, 0xb2, 0xc3, 0xd4}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xd4, 0xc3, 0xb2, 0xa1}, Mask: []byte{}}}},
	section{Name: "application/vnd.wordperfect", matchers: []matcher{matcher{Level: 0, Offset: 1, Range: 0, Value: []byte{0x57, 0x50, 0x43}, Mask: []byte{}}}},
	section{Name: "application/x-7z-compressed", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x37, 0x7a, 0xbc, 0xaf, 0x27, 0x1c}, Mask: []byte{}}}},
	section{Name: "application/x-abiword", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x61, 0x62, 0x69, 0x77, 0x6f, 0x72, 0x64}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x21, 0x44, 0x4f, 0x43, 0x54, 0x59, 0x50, 0x45, 0x20, 0x61, 0x62, 0x69, 0x77, 0x6f, 0x72, 0x64}, Mask: []byte{}}}},
	section{Name: "application/x-ace", matchers: []matcher{matcher{Level: 0, Offset: 7, Range: 0, Value: []byte{0x2a, 0x2a, 0x41, 0x43, 0x45, 0x2a, 0x2a}, Mask: []byte{}}}},
	section{Name: "application/x-alz", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x41, 0x4c, 0x5a}, Mask: []byte{}}}},
	section{Name: "application/x-aportisdoc", matchers: []matcher{matcher{Level: 0, Offset: 60, Range: 0, Value: []byte{0x54, 0x45, 0x58, 0x74, 0x52, 0x45, 0x41, 0x64}, Mask: []byte{}}, matcher{Level: 0, Offset: 60, Range: 0, Value: []byte{0x54, 0x45, 0x58, 0x74, 0x54, 0x6c, 0x44, 0x63}, Mask: []byte{}}}},
	section{Name: "application/x-applix-spreadsheet", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2a, 0x42, 0x45, 0x47, 0x49, 0x4e, 0x20, 0x53, 0x50, 0x52, 0x45, 0x41, 0x44, 0x53, 0x48, 0x45, 0x45, 0x54, 0x53}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2a, 0x42, 0x45, 0x47, 0x49, 0x4e}, Mask: []byte{}}, matcher{Level: 1, Offset: 7, Range: 0, Value: []byte{0x53, 0x50, 0x52, 0x45, 0x41, 0x44, 0x53, 0x48, 0x45, 0x45, 0x54, 0x53}, Mask: []byte{}}}},
	section{Name: "application/x-applix-word", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2a, 0x42, 0x45, 0x47, 0x49, 0x4e}, Mask: []byte{}}, matcher{Level: 1, Offset: 7, Range: 0, Value: []byte{0x57, 0x4f, 0x52, 0x44, 0x53}, Mask: []byte{}}}},
	section{Name: "application/x-arc", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1a, 0x8, 0x0, 0x0}, Mask: []byte{0xff, 0xff, 0x80, 0x80}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1a, 0x9, 0x0, 0x0}, Mask: []byte{0xff, 0xff, 0x80, 0x80}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1a, 0x2, 0x0, 0x0}, Mask: []byte{0xff, 0xff, 0x80, 0x80}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1a, 0x3, 0x0, 0x0}, Mask: []byte{0xff, 0xff, 0x80, 0x80}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1a, 0x4, 0x0, 0x0}, Mask: []byte{0xff, 0xff, 0x80, 0x80}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1a, 0x6, 0x0, 0x0}, Mask: []byte{0xff, 0xff, 0x80, 0x80}}}},
	section{Name: "application/x-arj", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x60, 0xea}, Mask: []byte{}}}},
	section{Name: "application/x-awk", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x67, 0x61, 0x77, 0x6b}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x20, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x67, 0x61, 0x77, 0x6b}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x67, 0x61, 0x77, 0x6b}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x20, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x67, 0x61, 0x77, 0x6b}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x67, 0x61, 0x77, 0x6b}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x20, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x67, 0x61, 0x77, 0x6b}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x61, 0x77, 0x6b}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x20, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x61, 0x77, 0x6b}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x61, 0x77, 0x6b}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x20, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x61, 0x77, 0x6b}, Mask: []byte{}}}},
	section{Name: "application/x-bittorrent", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x64, 0x38, 0x3a, 0x61, 0x6e, 0x6e, 0x6f, 0x75, 0x6e, 0x63, 0x65}, Mask: []byte{}}}},
	section{Name: "application/x-blender", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x42, 0x4c, 0x45, 0x4e, 0x44, 0x45, 0x52}, Mask: []byte{}}}},
	section{Name: "application/x-bzip", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x42, 0x5a, 0x68}, Mask: []byte{}}}},
	section{Name: "application/x-cdrdao-toc", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x43, 0x44, 0x5f, 0x52, 0x4f, 0x4d, 0xa}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x43, 0x44, 0x5f, 0x44, 0x41, 0xa}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x43, 0x44, 0x5f, 0x52, 0x4f, 0x4d, 0x5f, 0x58, 0x41, 0xa}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x43, 0x44, 0x5f, 0x54, 0x45, 0x58, 0x54, 0x20}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x43, 0x41, 0x54, 0x41, 0x4c, 0x4f, 0x47, 0x20, 0x22}, Mask: []byte{}}, matcher{Level: 1, Offset: 22, Range: 0, Value: []byte{0x22}, Mask: []byte{}}}},
	section{Name: "application/x-chess-pgn", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x5b, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x20}, Mask: []byte{}}}},
	section{Name: "application/x-cisco-vpn-settings", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x5b, 0x6d, 0x61, 0x69, 0x6e, 0x5d}, Mask: []byte{}}, matcher{Level: 1, Offset: 0, Range: 257, Value: []byte{0x41, 0x75, 0x74, 0x68, 0x54, 0x79, 0x70, 0x65, 0x3d}, Mask: []byte{}}}},
	section{Name: "application/x-compress", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1f, 0x9d}, Mask: []byte{}}}},
	section{Name: "application/x-core", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x7f, 0x45, 0x4c, 0x46, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x4}, Mask: []byte{0xff, 0xff, 0xff, 0xff, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x7f, 0x45, 0x4c, 0x46}, Mask: []byte{}}, matcher{Level: 1, Offset: 5, Range: 0, Value: []byte{0x1}, Mask: []byte{}}, matcher{Level: 2, Offset: 16, Range: 0, Value: []byte{0x4, 0x0}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x7f, 0x45, 0x4c, 0x46}, Mask: []byte{}}, matcher{Level: 1, Offset: 5, Range: 0, Value: []byte{0x2}, Mask: []byte{}}, matcher{Level: 2, Offset: 16, Range: 0, Value: []byte{0x0, 0x4}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x43, 0x6f, 0x72, 0x65, 0x1}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x43, 0x6f, 0x72, 0x65, 0x2}, Mask: []byte{}}}},
	section{Name: "application/x-cpio", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x71, 0xc7}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x30, 0x37, 0x30, 0x37, 0x30, 0x31}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x30, 0x37, 0x30, 0x37, 0x30, 0x32}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xc7, 0x71}, Mask: []byte{}}}},
	section{Name: "application/x-csh", matchers: []matcher{matcher{Level: 0, Offset: 1, Range: 16, Value: []byte{0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x74, 0x63, 0x73, 0x68}, Mask: []byte{}}, matcher{Level: 0, Offset: 1, Range: 16, Value: []byte{0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x63, 0x73, 0x68}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x65, 0x6e, 0x76, 0x20, 0x63, 0x73, 0x68}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x65, 0x6e, 0x76, 0x20, 0x74, 0x63, 0x73, 0x68}, Mask: []byte{}}}},
	section{Name: "application/x-dar", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x0, 0x0, 0x0, 0x7b}, Mask: []byte{}}}},
	section{Name: "application/x-deb", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x21, 0x3c, 0x61, 0x72, 0x63, 0x68, 0x3e}, Mask: []byte{}}, matcher{Level: 1, Offset: 8, Range: 0, Value: []byte{0x64, 0x65, 0x62, 0x69, 0x61, 0x6e}, Mask: []byte{}}}},
	section{Name: "application/x-designer", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x75, 0x69}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x55, 0x49}, Mask: []byte{}}}},
	section{Name: "application/x-desktop", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 33, Value: []byte{0x5b, 0x44, 0x65, 0x73, 0x6b, 0x74, 0x6f, 0x70, 0x20, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x5d}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x5b, 0x44, 0x65, 0x73, 0x6b, 0x74, 0x6f, 0x70, 0x20, 0x41, 0x63, 0x74, 0x69, 0x6f, 0x6e}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x5b, 0x4b, 0x44, 0x45, 0x20, 0x44, 0x65, 0x73, 0x6b, 0x74, 0x6f, 0x70, 0x20, 0x45, 0x6e, 0x74, 0x72, 0x79, 0x5d}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x20, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x20, 0x46, 0x69, 0x6c, 0x65}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x20, 0x4b, 0x44, 0x45, 0x20, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x20, 0x46, 0x69, 0x6c, 0x65}, Mask: []byte{}}}},
	section{Name: "application/x-dia-diagram", matchers: []matcher{matcher{Level: 0, Offset: 5, Range: 96, Value: []byte{0x3c, 0x64, 0x69, 0x61, 0x3a}, Mask: []byte{}}}},
	section{Name: "application/x-dia-shape", matchers: []matcher{matcher{Level: 0, Offset: 5, Range: 96, Value: []byte{0x3c, 0x73, 0x68, 0x61, 0x70, 0x65}, Mask: []byte{}}}},
	section{Name: "application/x-dvi", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xf7, 0x2}, Mask: []byte{}}}},
	section{Name: "application/x-fluid", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x20, 0x64, 0x61, 0x74, 0x61, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x20, 0x74, 0x68, 0x65, 0x20, 0x46, 0x6c, 0x74, 0x6b}, Mask: []byte{}}}},
	section{Name: "application/x-font-bdf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x53, 0x54, 0x41, 0x52, 0x54, 0x46, 0x4f, 0x4e, 0x54, 0x20}, Mask: []byte{}}}},
	section{Name: "application/x-font-dos", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xff, 0x46, 0x4f, 0x4e}, Mask: []byte{}}, matcher{Level: 0, Offset: 7, Range: 0, Value: []byte{0x0, 0x45, 0x47, 0x41}, Mask: []byte{}}, matcher{Level: 0, Offset: 7, Range: 0, Value: []byte{0x0, 0x56, 0x49, 0x44}, Mask: []byte{}}}},
	section{Name: "application/x-font-framemaker", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x4d, 0x61, 0x6b, 0x65, 0x72, 0x53, 0x63, 0x72, 0x65, 0x65, 0x6e, 0x46, 0x6f, 0x6e, 0x74}, Mask: []byte{}}}},
	section{Name: "application/x-font-libgrx", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x14, 0x2, 0x59, 0x19}, Mask: []byte{}}}},
	section{Name: "application/x-font-linux-psf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x36, 0x4}, Mask: []byte{}}}},
	section{Name: "application/x-font-otf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4f, 0x54, 0x54, 0x4f}, Mask: []byte{}}}},
	section{Name: "application/x-font-pcf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1, 0x66, 0x63, 0x70}, Mask: []byte{}}}},
	section{Name: "application/x-font-speedo", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x44, 0x31, 0x2e, 0x30, 0xd}, Mask: []byte{}}}},
	section{Name: "application/x-font-sunos-news", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x53, 0x74, 0x61, 0x72, 0x74, 0x46, 0x6f, 0x6e, 0x74}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x13, 0x7a, 0x29}, Mask: []byte{}}, matcher{Level: 0, Offset: 8, Range: 0, Value: []byte{0x13, 0x7a, 0x2b}, Mask: []byte{}}}},
	section{Name: "application/x-font-tex", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xf7, 0x83}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xf7, 0x59}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xf7, 0xca}, Mask: []byte{}}}},
	section{Name: "application/x-font-tex-tfm", matchers: []matcher{matcher{Level: 0, Offset: 2, Range: 0, Value: []byte{0x0, 0x11}, Mask: []byte{}}, matcher{Level: 0, Offset: 2, Range: 0, Value: []byte{0x0, 0x12}, Mask: []byte{}}}},
	section{Name: "application/x-font-ttf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x46, 0x46, 0x49, 0x4c}, Mask: []byte{}}, matcher{Level: 0, Offset: 65, Range: 0, Value: []byte{0x46, 0x46, 0x49, 0x4c}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x0, 0x1, 0x0, 0x0, 0x0}, Mask: []byte{}}}},
	section{Name: "application/x-font-ttx", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x74, 0x74, 0x46, 0x6f, 0x6e, 0x74, 0x20, 0x73, 0x66, 0x6e, 0x74, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x3d, 0x22, 0x5c, 0x78, 0x30, 0x30, 0x5c, 0x78, 0x30, 0x31, 0x5c, 0x78, 0x30, 0x30, 0x5c, 0x78, 0x30, 0x30, 0x22, 0x20, 0x74, 0x74, 0x4c, 0x69, 0x62, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x3d, 0x22}, Mask: []byte{}}}},
	section{Name: "application/x-font-vfont", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x46, 0x4f, 0x4e, 0x54}, Mask: []byte{}}}},
	section{Name: "application/x-frame", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x4d, 0x61, 0x6b, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x65}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x4d, 0x49, 0x46, 0x46, 0x69, 0x6c, 0x65}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x4d, 0x61, 0x6b, 0x65, 0x72, 0x44, 0x69, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x61, 0x72, 0x79}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x4d, 0x61, 0x6b, 0x65, 0x72, 0x53, 0x63, 0x72, 0x65, 0x65, 0x6e, 0x46, 0x6f, 0x6e}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x4d, 0x4d, 0x4c}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x42, 0x6f, 0x6f, 0x6b}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x4d, 0x61, 0x6b, 0x65, 0x72}, Mask: []byte{}}}},
	section{Name: "application/x-gdbm", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x13, 0x57, 0x9a, 0xce}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xce, 0x9a, 0x57, 0x13}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x47, 0x44, 0x42, 0x4d}, Mask: []byte{}}}},
	section{Name: "application/x-gedcom", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x30, 0x20, 0x48, 0x45, 0x41, 0x44}, Mask: []byte{}}}},
	section{Name: "application/x-genesis-rom", matchers: []matcher{matcher{Level: 0, Offset: 256, Range: 0, Value: []byte{0x53, 0x45, 0x47, 0x41}, Mask: []byte{}}, matcher{Level: 0, Offset: 640, Range: 0, Value: []byte{0x45, 0x41, 0x47, 0x4e}, Mask: []byte{}}, matcher{Level: 0, Offset: 640, Range: 0, Value: []byte{0x45, 0x41, 0x4d, 0x47}, Mask: []byte{}}}},
	section{Name: "application/x-glade", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x67, 0x6c, 0x61, 0x64, 0x65, 0x2d, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x66, 0x61, 0x63, 0x65}, Mask: []byte{}}}},
	section{Name: "application/x-gmc-link", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 33, Value: []byte{0x55, 0x52, 0x4c, 0x3a}, Mask: []byte{}}}},
	section{Name: "application/x-gnumeric", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 65, Value: []byte{0x67, 0x6d, 0x72, 0x3a, 0x57, 0x6f, 0x72, 0x6b, 0x62, 0x6f, 0x6f, 0x6b}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 65, Value: []byte{0x67, 0x6e, 0x6d, 0x3a, 0x57, 0x6f, 0x72, 0x6b, 0x62, 0x6f, 0x6f, 0x6b}, Mask: []byte{}}}},
	section{Name: "application/x-go-sgf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x28, 0x3b, 0x46, 0x46, 0x5b, 0x33, 0x5d}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x28, 0x3b, 0x46, 0x46, 0x5b, 0x34, 0x5d}, Mask: []byte{}}}},
	section{Name: "application/x-gtktalog", matchers: []matcher{matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x67, 0x74, 0x6b, 0x74, 0x61, 0x6c, 0x6f, 0x67, 0x20}, Mask: []byte{}}}},
	section{Name: "application/x-gzip", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1f, 0x8b}, Mask: []byte{}}}},
	section{Name: "application/x-hdf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x89, 0x48, 0x44, 0x46, 0xd, 0xa, 0x1a, 0xa}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xe, 0x3, 0x13, 0x1}, Mask: []byte{}}}},
	section{Name: "application/x-hwp", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x48, 0x57, 0x50, 0x20, 0x44, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x20, 0x46, 0x69, 0x6c, 0x65}, Mask: []byte{}}}},
	section{Name: "application/x-ipod-firmware", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x53, 0x20, 0x54, 0x20, 0x4f, 0x20, 0x50}, Mask: []byte{}}}},
	section{Name: "application/x-it87", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x49, 0x54, 0x38, 0x2e, 0x37}, Mask: []byte{}}}},
	section{Name: "application/x-java", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xca, 0xfe, 0xba, 0xbe}, Mask: []byte{}}}},
	section{Name: "application/x-java-jce-keystore", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xce, 0xce, 0xce, 0xce}, Mask: []byte{}}}},
	section{Name: "application/x-java-jnlp-file", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x6a, 0x6e, 0x6c, 0x70}, Mask: []byte{}}}},
	section{Name: "application/x-java-keystore", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xfe, 0xed, 0xfe, 0xed}, Mask: []byte{}}}},
	section{Name: "application/x-java-pack200", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xca, 0xfe, 0xd0, 0xd}, Mask: []byte{}}}},
	section{Name: "application/x-kspread-crypt", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xd, 0x1a, 0x27, 0x2}, Mask: []byte{}}}},
	section{Name: "application/x-ksysv-package", matchers: []matcher{matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x4b, 0x53, 0x79, 0x73, 0x56}, Mask: []byte{}}, matcher{Level: 1, Offset: 15, Range: 0, Value: []byte{0x1}, Mask: []byte{}}}},
	section{Name: "application/x-kword-crypt", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xd, 0x1a, 0x27, 0x1}, Mask: []byte{}}}},
	section{Name: "application/x-lha", matchers: []matcher{matcher{Level: 0, Offset: 2, Range: 0, Value: []byte{0x2d, 0x6c, 0x68, 0x20, 0x2d}, Mask: []byte{}}, matcher{Level: 0, Offset: 2, Range: 0, Value: []byte{0x2d, 0x6c, 0x68, 0x30, 0x2d}, Mask: []byte{}}, matcher{Level: 0, Offset: 2, Range: 0, Value: []byte{0x2d, 0x6c, 0x68, 0x31, 0x2d}, Mask: []byte{}}, matcher{Level: 0, Offset: 2, Range: 0, Value: []byte{0x2d, 0x6c, 0x68, 0x32, 0x2d}, Mask: []byte{}}, matcher{Level: 0, Offset: 2, Range: 0, Value: []byte{0x2d, 0x6c, 0x68, 0x33, 0x2d}, Mask: []byte{}}, matcher{Level: 0, Offset: 2, Range: 0, Value: []byte{0x2d, 0x6c, 0x68, 0x34, 0x2d}, Mask: []byte{}}, matcher{Level: 0, Offset: 2, Range: 0, Value: []byte{0x2d, 0x6c, 0x68, 0x35, 0x2d}, Mask: []byte{}}, matcher{Level: 0, Offset: 2, Range: 0, Value: []byte{0x2d, 0x6c, 0x68, 0x34, 0x30, 0x2d}, Mask: []byte{}}, matcher{Level: 0, Offset: 2, Range: 0, Value: []byte{0x2d, 0x6c, 0x68, 0x64, 0x2d}, Mask: []byte{}}, matcher{Level: 0, Offset: 2, Range: 0, Value: []byte{0x2d, 0x6c, 0x7a, 0x34, 0x2d}, Mask: []byte{}}, matcher{Level: 0, Offset: 2, Range: 0, Value: []byte{0x2d, 0x6c, 0x7a, 0x35, 0x2d}, Mask: []byte{}}, matcher{Level: 0, Offset: 2, Range: 0, Value: []byte{0x2d, 0x6c, 0x7a, 0x73, 0x2d}, Mask: []byte{}}}},
	section{Name: "application/x-lrzip", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4c, 0x52, 0x5a, 0x49}, Mask: []byte{}}}},
	section{Name: "application/x-lyx", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x4c, 0x79, 0x58}, Mask: []byte{}}}},
	section{Name: "application/x-lzip", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4c, 0x5a, 0x49, 0x50}, Mask: []byte{}}}},
	section{Name: "application/x-lzop", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x89, 0x4c, 0x5a, 0x4f, 0x0, 0xd, 0xa, 0x1a, 0xa}, Mask: []byte{}}}},
	section{Name: "application/x-macbinary", matchers: []matcher{matcher{Level: 0, Offset: 102, Range: 0, Value: []byte{0x6d, 0x42, 0x49, 0x4e}, Mask: []byte{}}}},
	section{Name: "application/x-matroska", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1a, 0x45, 0xdf, 0xa3}, Mask: []byte{}}, matcher{Level: 1, Offset: 5, Range: 61, Value: []byte{0x42, 0x82}, Mask: []byte{}}, matcher{Level: 2, Offset: 8, Range: 68, Value: []byte{0x6d, 0x61, 0x74, 0x72, 0x6f, 0x73, 0x6b, 0x61}, Mask: []byte{}}}},
	section{Name: "application/x-ms-dos-executable", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4d, 0x5a}, Mask: []byte{}}}},
	section{Name: "application/x-ms-wim", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4d, 0x53, 0x57, 0x49, 0x4d, 0x0, 0x0, 0x0}, Mask: []byte{}}}},
	section{Name: "application/x-mswinurl", matchers: []matcher{matcher{Level: 0, Offset: 1, Range: 0, Value: []byte{0x49, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x65, 0x74, 0x53, 0x68, 0x6f, 0x72, 0x74, 0x63, 0x75, 0x74}, Mask: []byte{}}, matcher{Level: 0, Offset: 1, Range: 0, Value: []byte{0x44, 0x45, 0x46, 0x41, 0x55, 0x4c, 0x54}, Mask: []byte{}}, matcher{Level: 1, Offset: 11, Range: 0, Value: []byte{0x42, 0x41, 0x53, 0x45, 0x55, 0x52, 0x4c, 0x3d}, Mask: []byte{}}}},
	section{Name: "application/x-nautilus-link", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 33, Value: []byte{0x3c, 0x6e, 0x61, 0x75, 0x74, 0x69, 0x6c, 0x75, 0x73, 0x5f, 0x6f, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x20, 0x6e, 0x61, 0x75, 0x74, 0x69, 0x6c, 0x75, 0x73, 0x5f, 0x6c, 0x69, 0x6e, 0x6b}, Mask: []byte{}}}},
	section{Name: "application/x-navi-animation", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x52, 0x49, 0x46, 0x46}, Mask: []byte{}}, matcher{Level: 1, Offset: 8, Range: 0, Value: []byte{0x41, 0x43, 0x4f, 0x4e}, Mask: []byte{}}}},
	section{Name: "application/x-netshow-channel", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x5b, 0x41, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x5d}, Mask: []byte{}}}},
	section{Name: "application/x-object", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x7f, 0x45, 0x4c, 0x46}, Mask: []byte{}}, matcher{Level: 1, Offset: 5, Range: 0, Value: []byte{0x1}, Mask: []byte{}}, matcher{Level: 2, Offset: 16, Range: 0, Value: []byte{0x1, 0x0}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x7f, 0x45, 0x4c, 0x46}, Mask: []byte{}}, matcher{Level: 1, Offset: 5, Range: 0, Value: []byte{0x2}, Mask: []byte{}}, matcher{Level: 2, Offset: 16, Range: 0, Value: []byte{0x0, 0x1}, Mask: []byte{}}}},
	section{Name: "application/x-ole-storage", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xd0, 0xcf, 0x11, 0xe0, 0xa1, 0xb1, 0x1a, 0xe1}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xd0, 0xcf, 0x11, 0xe0}, Mask: []byte{}}}},
	section{Name: "application/x-oleo", matchers: []matcher{matcher{Level: 0, Offset: 31, Range: 0, Value: []byte{0x4f, 0x6c, 0x65, 0x6f}, Mask: []byte{}}}},
	section{Name: "application/x-par2", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x41, 0x52, 0x32}, Mask: []byte{}}}},
	section{Name: "application/x-pef-executable", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4a, 0x6f, 0x79, 0x21}, Mask: []byte{}}}},
	section{Name: "application/x-perl", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x65, 0x76, 0x61, 0x6c, 0x20, 0x22, 0x65, 0x78, 0x65, 0x63, 0x20, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x70, 0x65, 0x72, 0x6c}, Mask: []byte{}}, matcher{Level: 0, Offset: 1, Range: 16, Value: []byte{0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x70, 0x65, 0x72, 0x6c}, Mask: []byte{}}, matcher{Level: 0, Offset: 1, Range: 16, Value: []byte{0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x65, 0x6e, 0x76, 0x20, 0x70, 0x65, 0x72, 0x6c}, Mask: []byte{}}}},
	section{Name: "application/x-pocket-word", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x7b, 0x5c, 0x70, 0x77, 0x69}, Mask: []byte{}}}},
	section{Name: "application/x-python-bytecode", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x99, 0x4e, 0xd, 0xa}, Mask: []byte{}}}},
	section{Name: "application/x-rar", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x52, 0x61, 0x72, 0x21}, Mask: []byte{}}}},
	section{Name: "application/x-rpm", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xed, 0xab, 0xee, 0xdb}, Mask: []byte{}}}},
	section{Name: "application/x-ruby", matchers: []matcher{matcher{Level: 0, Offset: 1, Range: 16, Value: []byte{0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x65, 0x6e, 0x76, 0x20, 0x72, 0x75, 0x62, 0x79}, Mask: []byte{}}, matcher{Level: 0, Offset: 1, Range: 16, Value: []byte{0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x72, 0x75, 0x62, 0x79}, Mask: []byte{}}}},
	section{Name: "application/x-sami", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x53, 0x41, 0x4d, 0x49, 0x3e}, Mask: []byte{}}}},
	section{Name: "application/x-sc", matchers: []matcher{matcher{Level: 0, Offset: 38, Range: 0, Value: []byte{0x53, 0x70, 0x72, 0x65, 0x61, 0x64, 0x73, 0x68, 0x65, 0x65, 0x74}, Mask: []byte{}}}},
	section{Name: "application/x-sharedlib", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x7f, 0x45, 0x4c, 0x46}, Mask: []byte{}}, matcher{Level: 1, Offset: 5, Range: 0, Value: []byte{0x1}, Mask: []byte{}}, matcher{Level: 2, Offset: 16, Range: 0, Value: []byte{0x3, 0x0}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x7f, 0x45, 0x4c, 0x46}, Mask: []byte{}}, matcher{Level: 1, Offset: 5, Range: 0, Value: []byte{0x2}, Mask: []byte{}}, matcher{Level: 2, Offset: 16, Range: 0, Value: []byte{0x0, 0x3}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x83, 0x1}, Mask: []byte{}}, matcher{Level: 1, Offset: 22, Range: 0, Value: []byte{0x0, 0x20}, Mask: []byte{0x0, 0x30}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x7f, 0x45, 0x4c, 0x46, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x20, 0x3}, Mask: []byte{0xff, 0xff, 0xff, 0xff, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0x0, 0xff}}}},
	section{Name: "application/x-shellscript", matchers: []matcher{matcher{Level: 0, Offset: 10, Range: 0, Value: []byte{0x23, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x69, 0x73, 0x20, 0x61, 0x20, 0x73, 0x68, 0x65, 0x6c, 0x6c, 0x20, 0x61, 0x72, 0x63, 0x68, 0x69, 0x76, 0x65}, Mask: []byte{}}, matcher{Level: 0, Offset: 1, Range: 16, Value: []byte{0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x62, 0x61, 0x73, 0x68}, Mask: []byte{}}, matcher{Level: 0, Offset: 1, Range: 16, Value: []byte{0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x6e, 0x61, 0x77, 0x6b}, Mask: []byte{}}, matcher{Level: 0, Offset: 1, Range: 16, Value: []byte{0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x7a, 0x73, 0x68}, Mask: []byte{}}, matcher{Level: 0, Offset: 1, Range: 16, Value: []byte{0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x73, 0x68}, Mask: []byte{}}, matcher{Level: 0, Offset: 1, Range: 16, Value: []byte{0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x6b, 0x73, 0x68}, Mask: []byte{}}, matcher{Level: 0, Offset: 1, Range: 16, Value: []byte{0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x64, 0x61, 0x73, 0x68}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x65, 0x6e, 0x76, 0x20, 0x73, 0x68}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x65, 0x6e, 0x76, 0x20, 0x62, 0x61, 0x73, 0x68}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x65, 0x6e, 0x76, 0x20, 0x7a, 0x73, 0x68}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x65, 0x6e, 0x76, 0x20, 0x6b, 0x73, 0x68}, Mask: []byte{}}}},
	section{Name: "application/x-shockwave-flash", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x46, 0x57, 0x53}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x43, 0x57, 0x53}, Mask: []byte{}}}},
	section{Name: "application/x-shorten", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x61, 0x6a, 0x6b, 0x67}, Mask: []byte{}}}},
	section{Name: "application/x-smaf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4d, 0x4d, 0x4d, 0x44}, Mask: []byte{}}}},
	section{Name: "application/x-spss-por", matchers: []matcher{matcher{Level: 0, Offset: 40, Range: 0, Value: []byte{0x41, 0x53, 0x43, 0x49, 0x49, 0x20, 0x53, 0x50, 0x53, 0x53, 0x20, 0x50, 0x4f, 0x52, 0x54, 0x20, 0x46, 0x49, 0x4c, 0x45}, Mask: []byte{}}}},
	section{Name: "application/x-spss-sav", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x24, 0x46, 0x4c, 0x32}, Mask: []byte{}}}},
	section{Name: "application/x-sqlite2", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2a, 0x2a, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x63, 0x6f, 0x6e, 0x74, 0x61, 0x69, 0x6e, 0x73, 0x20, 0x61, 0x6e, 0x20, 0x53, 0x51, 0x4c, 0x69, 0x74, 0x65}, Mask: []byte{}}}},
	section{Name: "application/x-sqlite3", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x53, 0x51, 0x4c, 0x69, 0x74, 0x65, 0x20, 0x66, 0x6f, 0x72, 0x6d, 0x61, 0x74, 0x20, 0x33}, Mask: []byte{}}}},
	section{Name: "application/x-stuffit", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x53, 0x74, 0x75, 0x66, 0x66, 0x49, 0x74, 0x20}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x53, 0x49, 0x54, 0x21}, Mask: []byte{}}}},
	section{Name: "application/x-subrip", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x31}, Mask: []byte{}}, matcher{Level: 1, Offset: 0, Range: 257, Value: []byte{0x20, 0x2d, 0x2d, 0x3e, 0x20}, Mask: []byte{}}}},
	section{Name: "application/x-t602", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x40, 0x43, 0x54, 0x20, 0x30}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x40, 0x43, 0x54, 0x20, 0x31}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x40, 0x43, 0x54, 0x20, 0x32}, Mask: []byte{}}}},
	section{Name: "application/x-tar", matchers: []matcher{matcher{Level: 0, Offset: 257, Range: 0, Value: []byte{0x75, 0x73, 0x74, 0x61, 0x72, 0x0}, Mask: []byte{}}, matcher{Level: 0, Offset: 257, Range: 0, Value: []byte{0x75, 0x73, 0x74, 0x61, 0x72, 0x20, 0x20, 0x0}, Mask: []byte{}}}},
	section{Name: "application/x-tgif", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x25, 0x54, 0x47, 0x49, 0x46}, Mask: []byte{}}}},
	section{Name: "application/x-xbel", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x21, 0x44, 0x4f, 0x43, 0x54, 0x59, 0x50, 0x45, 0x20, 0x78, 0x62, 0x65, 0x6c}, Mask: []byte{}}}},
	section{Name: "application/x-xz", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xfd, 0x37, 0x7a, 0x58, 0x5a, 0x0}, Mask: []byte{}}}},
	section{Name: "application/x-yaml", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x25, 0x59, 0x41, 0x4d, 0x4c}, Mask: []byte{}}}},
	section{Name: "application/x-zoo", matchers: []matcher{matcher{Level: 0, Offset: 20, Range: 0, Value: []byte{0xdc, 0xa7, 0xc4, 0xfd}, Mask: []byte{}}}},
	section{Name: "application/xslt+xml", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x78, 0x73, 0x6c, 0x3a, 0x73, 0x74, 0x79, 0x6c, 0x65, 0x73, 0x68, 0x65, 0x65, 0x74}, Mask: []byte{}}}},
	section{Name: "application/xspf+xml", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 65, Value: []byte{0x3c, 0x70, 0x6c, 0x61, 0x79, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x3d, 0x22, 0x31}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 65, Value: []byte{0x3c, 0x70, 0x6c, 0x61, 0x79, 0x6c, 0x69, 0x73, 0x74, 0x20, 0x76, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x3d, 0x27, 0x31}, Mask: []byte{}}}},
	section{Name: "audio/AMR", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x41, 0x4d, 0x52, 0xa}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x41, 0x4d, 0x52, 0x5f, 0x4d, 0x43, 0x31, 0x2e, 0x30, 0xa}, Mask: []byte{}}}},
	section{Name: "audio/AMR-WB", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x41, 0x4d, 0x52, 0x2d, 0x57, 0x42, 0xa}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x41, 0x4d, 0x52, 0x2d, 0x57, 0x42, 0x5f, 0x4d, 0x43, 0x31, 0x2e, 0x30, 0xa}, Mask: []byte{}}}},
	section{Name: "audio/ac3", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xb, 0x77}, Mask: []byte{}}}},
	section{Name: "audio/annodex", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4f, 0x67, 0x67, 0x53}, Mask: []byte{}}, matcher{Level: 1, Offset: 28, Range: 0, Value: []byte{0x66, 0x69, 0x73, 0x68, 0x65, 0x61, 0x64, 0x0}, Mask: []byte{}}, matcher{Level: 2, Offset: 56, Range: 457, Value: []byte{0x43, 0x4d, 0x4d, 0x4c, 0x0, 0x0, 0x0, 0x0}, Mask: []byte{}}}},
	section{Name: "audio/flac", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x66, 0x4c, 0x61, 0x43}, Mask: []byte{}}}},
	section{Name: "audio/midi", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4d, 0x54, 0x68, 0x64}, Mask: []byte{}}}},
	section{Name: "audio/mp4", matchers: []matcher{matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x66, 0x74, 0x79, 0x70, 0x4d, 0x34, 0x41}, Mask: []byte{}}}},
	section{Name: "audio/mpeg", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x0, 0x0, 0xff, 0xfb}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x49, 0x44, 0x33}, Mask: []byte{}}}},
	section{Name: "audio/ogg", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4f, 0x67, 0x67, 0x53}, Mask: []byte{}}}},
	section{Name: "audio/prs.sid", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x53, 0x49, 0x44}, Mask: []byte{}}}},
	section{Name: "audio/x-adpcm", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2e, 0x73, 0x6e, 0x64}, Mask: []byte{}}, matcher{Level: 1, Offset: 12, Range: 0, Value: []byte{0x0, 0x0, 0x0, 0x17}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2e, 0x73, 0x64, 0x0}, Mask: []byte{}}, matcher{Level: 1, Offset: 12, Range: 0, Value: []byte{0x1, 0x0, 0x0, 0x0}, Mask: []byte{}}, matcher{Level: 1, Offset: 12, Range: 0, Value: []byte{0x2, 0x0, 0x0, 0x0}, Mask: []byte{}}, matcher{Level: 1, Offset: 12, Range: 0, Value: []byte{0x3, 0x0, 0x0, 0x0}, Mask: []byte{}}, matcher{Level: 1, Offset: 12, Range: 0, Value: []byte{0x4, 0x0, 0x0, 0x0}, Mask: []byte{}}, matcher{Level: 1, Offset: 12, Range: 0, Value: []byte{0x5, 0x0, 0x0, 0x0}, Mask: []byte{}}, matcher{Level: 1, Offset: 12, Range: 0, Value: []byte{0x6, 0x0, 0x0, 0x0}, Mask: []byte{}}, matcher{Level: 1, Offset: 12, Range: 0, Value: []byte{0x7, 0x0, 0x0, 0x0}, Mask: []byte{}}, matcher{Level: 1, Offset: 12, Range: 0, Value: []byte{0x17, 0x0, 0x0, 0x0}, Mask: []byte{}}}},
	section{Name: "audio/x-aifc", matchers: []matcher{matcher{Level: 0, Offset: 8, Range: 0, Value: []byte{0x41, 0x49, 0x46, 0x43}, Mask: []byte{}}}},
	section{Name: "audio/x-aiff", matchers: []matcher{matcher{Level: 0, Offset: 8, Range: 0, Value: []byte{0x41, 0x49, 0x46, 0x46}, Mask: []byte{}}, matcher{Level: 0, Offset: 8, Range: 0, Value: []byte{0x41, 0x49, 0x46, 0x43}, Mask: []byte{}}, matcher{Level: 0, Offset: 8, Range: 0, Value: []byte{0x38, 0x53, 0x56, 0x58}, Mask: []byte{}}}},
	section{Name: "audio/x-ape", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4d, 0x41, 0x43, 0x20}, Mask: []byte{}}}},
	section{Name: "audio/x-iriver-pla", matchers: []matcher{matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x69, 0x72, 0x69, 0x76, 0x65, 0x72, 0x20, 0x55, 0x4d, 0x53, 0x20, 0x50, 0x4c, 0x41}, Mask: []byte{}}}},
	section{Name: "audio/x-it", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x49, 0x4d, 0x50, 0x4d}, Mask: []byte{}}}},
	section{Name: "audio/x-m4b", matchers: []matcher{matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x66, 0x74, 0x79, 0x70, 0x4d, 0x34, 0x42}, Mask: []byte{}}}},
	section{Name: "audio/x-mo3", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4d, 0x4f, 0x33}, Mask: []byte{}}}},
	section{Name: "audio/x-mpegurl", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x45, 0x58, 0x54, 0x4d, 0x33, 0x55}, Mask: []byte{}}}},
	section{Name: "audio/x-musepack", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4d, 0x50, 0x2b}, Mask: []byte{}}}},
	section{Name: "audio/x-psf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x53, 0x46}, Mask: []byte{}}}},
	section{Name: "audio/x-s3m", matchers: []matcher{matcher{Level: 0, Offset: 44, Range: 0, Value: []byte{0x53, 0x43, 0x52, 0x4d}, Mask: []byte{}}}},
	section{Name: "audio/x-scpls", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x5b, 0x70, 0x6c, 0x61, 0x79, 0x6c, 0x69, 0x73, 0x74, 0x5d}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x5b, 0x50, 0x6c, 0x61, 0x79, 0x6c, 0x69, 0x73, 0x74, 0x5d}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x5b, 0x50, 0x4c, 0x41, 0x59, 0x4c, 0x49, 0x53, 0x54, 0x5d}, Mask: []byte{}}}},
	section{Name: "audio/x-speex", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x53, 0x70, 0x65, 0x65, 0x78}, Mask: []byte{}}}},
	section{Name: "audio/x-stm", matchers: []matcher{matcher{Level: 0, Offset: 20, Range: 0, Value: []byte{0x21, 0x53, 0x63, 0x72, 0x65, 0x61, 0x6d, 0x21, 0x1a}, Mask: []byte{}}, matcher{Level: 0, Offset: 20, Range: 0, Value: []byte{0x21, 0x53, 0x43, 0x52, 0x45, 0x41, 0x4d, 0x21, 0x1a}, Mask: []byte{}}, matcher{Level: 0, Offset: 20, Range: 0, Value: []byte{0x42, 0x4d, 0x4f, 0x44, 0x32, 0x53, 0x54, 0x4d, 0x1a}, Mask: []byte{}}}},
	section{Name: "audio/x-tta", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x54, 0x54, 0x41, 0x31}, Mask: []byte{}}}},
	section{Name: "audio/x-wav", matchers: []matcher{matcher{Level: 0, Offset: 8, Range: 0, Value: []byte{0x57, 0x41, 0x56, 0x45}, Mask: []byte{}}, matcher{Level: 0, Offset: 8, Range: 0, Value: []byte{0x57, 0x41, 0x56, 0x20}, Mask: []byte{}}}},
	section{Name: "audio/x-wavpack", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x77, 0x76, 0x70, 0x6b}, Mask: []byte{}}}},
	section{Name: "audio/x-wavpack-correction", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x77, 0x76, 0x70, 0x6b}, Mask: []byte{}}}},
	section{Name: "audio/x-xi", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x45, 0x78, 0x74, 0x65, 0x6e, 0x64, 0x65, 0x64, 0x20, 0x49, 0x6e, 0x74, 0x72, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x3a}, Mask: []byte{}}}},
	section{Name: "audio/x-xm", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x45, 0x78, 0x74, 0x65, 0x6e, 0x64, 0x65, 0x64, 0x20, 0x4d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x3a}, Mask: []byte{}}}},
	section{Name: "audio/x-xmf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x58, 0x4d, 0x46, 0x5f}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x58, 0x4d, 0x46, 0x5f, 0x32, 0x2e, 0x30, 0x30, 0x0, 0x0, 0x0, 0x2}, Mask: []byte{}}}},
	section{Name: "image/bmp", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x42, 0x4d, 0x78, 0x78, 0x78, 0x78, 0x0, 0x0}, Mask: []byte{0xff, 0xff, 0x0, 0x0, 0x0, 0x0, 0xff, 0xff}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x42, 0x4d}, Mask: []byte{}}, matcher{Level: 1, Offset: 14, Range: 0, Value: []byte{0xc}, Mask: []byte{}}, matcher{Level: 1, Offset: 14, Range: 0, Value: []byte{0x40}, Mask: []byte{}}, matcher{Level: 1, Offset: 14, Range: 0, Value: []byte{0x28}, Mask: []byte{}}}},
	section{Name: "image/dpx", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x53, 0x44, 0x50, 0x58}, Mask: []byte{}}}},
	section{Name: "image/fits", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x53, 0x49, 0x4d, 0x50, 0x4c, 0x45, 0x20, 0x20, 0x3d}, Mask: []byte{}}}},
	section{Name: "image/gif", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x47, 0x49, 0x46, 0x38}, Mask: []byte{}}}},
	section{Name: "image/jp2", matchers: []matcher{matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x6a, 0x50}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xff, 0x4f, 0xff, 0x51, 0x0}, Mask: []byte{}}, matcher{Level: 0, Offset: 3, Range: 0, Value: []byte{0xc, 0x6a, 0x50, 0x20}, Mask: []byte{}}}},
	section{Name: "image/jpeg", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xff, 0xd8, 0xff}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xff, 0xd8}, Mask: []byte{}}}},
	section{Name: "image/openraster", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}, matcher{Level: 1, Offset: 30, Range: 0, Value: []byte{0x6d, 0x69, 0x6d, 0x65, 0x74, 0x79, 0x70, 0x65}, Mask: []byte{}}, matcher{Level: 2, Offset: 38, Range: 0, Value: []byte{0x69, 0x6d, 0x61, 0x67, 0x65, 0x2f, 0x6f, 0x70, 0x65, 0x6e, 0x72, 0x61, 0x73, 0x74, 0x65, 0x72}, Mask: []byte{}}}},
	section{Name: "image/png", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x89, 0x50, 0x4e, 0x47}, Mask: []byte{}}}},
	section{Name: "image/tiff", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4d, 0x4d, 0x0, 0x2a}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x49, 0x49, 0x2a, 0x0}, Mask: []byte{}}}},
	section{Name: "image/vnd.adobe.photoshop", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x38, 0x42, 0x50, 0x53, 0x20, 0x20, 0x0, 0x0, 0x0, 0x0}, Mask: []byte{0xff, 0xff, 0xff, 0xff, 0x0, 0x0, 0xff, 0xff, 0xff, 0xff}}}},
	section{Name: "image/vnd.djvu", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x41, 0x54, 0x26, 0x54, 0x46, 0x4f, 0x52, 0x4d}, Mask: []byte{}}, matcher{Level: 1, Offset: 12, Range: 0, Value: []byte{0x44, 0x4a, 0x56, 0x4d}, Mask: []byte{}}, matcher{Level: 1, Offset: 12, Range: 0, Value: []byte{0x44, 0x4a, 0x56, 0x55}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x46, 0x4f, 0x52, 0x4d}, Mask: []byte{}}, matcher{Level: 1, Offset: 8, Range: 0, Value: []byte{0x44, 0x4a, 0x56, 0x4d}, Mask: []byte{}}, matcher{Level: 1, Offset: 8, Range: 0, Value: []byte{0x44, 0x4a, 0x56, 0x55}, Mask: []byte{}}}},
	section{Name: "image/vnd.dxf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 65, Value: []byte{0xa, 0x48, 0x45, 0x41, 0x44, 0x45, 0x52, 0xa}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 65, Value: []byte{0xd, 0xa, 0x48, 0x45, 0x41, 0x44, 0x45, 0x52, 0xd, 0xa}, Mask: []byte{}}}},
	section{Name: "image/vnd.microsoft.icon", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x0, 0x0, 0x1, 0x0}, Mask: []byte{}}, matcher{Level: 1, Offset: 5, Range: 0, Value: []byte{0x0}, Mask: []byte{}}}},
	section{Name: "image/vnd.ms-modi", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x45, 0x50, 0x2a, 0x0}, Mask: []byte{}}}},
	section{Name: "image/x-applix-graphics", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2a, 0x42, 0x45, 0x47, 0x49, 0x4e}, Mask: []byte{}}, matcher{Level: 1, Offset: 7, Range: 0, Value: []byte{0x47, 0x52, 0x41, 0x50, 0x48, 0x49, 0x43, 0x53}, Mask: []byte{}}}},
	section{Name: "image/x-canon-crw", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x49, 0x49, 0x1a, 0x0, 0x0, 0x0, 0x48, 0x45, 0x41, 0x50, 0x43, 0x43, 0x44, 0x52}, Mask: []byte{}}}},
	section{Name: "image/x-dds", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x44, 0x44, 0x53}, Mask: []byte{}}}},
	section{Name: "image/x-dib", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x28, 0x0, 0x0, 0x0}, Mask: []byte{}}}},
	section{Name: "image/x-emf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1, 0x0, 0x0, 0x0}, Mask: []byte{}}, matcher{Level: 1, Offset: 40, Range: 0, Value: []byte{0x20, 0x45, 0x4d, 0x46}, Mask: []byte{}}, matcher{Level: 2, Offset: 44, Range: 0, Value: []byte{0x0, 0x0, 0x1, 0x0}, Mask: []byte{}}, matcher{Level: 3, Offset: 58, Range: 0, Value: []byte{0x0, 0x0}, Mask: []byte{}}}},
	section{Name: "image/x-exr", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x76, 0x2f, 0x31, 0x1}, Mask: []byte{}}}},
	section{Name: "image/x-fpx", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x46, 0x50, 0x69, 0x78}, Mask: []byte{}}}},
	section{Name: "image/x-fuji-raf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x46, 0x55, 0x4a, 0x49, 0x46, 0x49, 0x4c, 0x4d, 0x43, 0x43, 0x44, 0x2d, 0x52, 0x41, 0x57, 0x20}, Mask: []byte{}}}},
	section{Name: "image/x-icns", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x69, 0x63, 0x6e, 0x73}, Mask: []byte{}}}},
	section{Name: "image/x-minolta-mrw", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x0, 0x4d, 0x52, 0x4d}, Mask: []byte{}}}},
	section{Name: "image/x-olympus-orf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x49, 0x49, 0x52, 0x4f, 0x8, 0x0, 0x0, 0x0}, Mask: []byte{}}}},
	section{Name: "image/x-panasonic-raw", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x49, 0x49, 0x55, 0x0, 0x8, 0x0, 0x0, 0x0}, Mask: []byte{}}}},
	section{Name: "image/x-panasonic-raw2", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x49, 0x49, 0x55, 0x0, 0x18, 0x0, 0x0, 0x0}, Mask: []byte{}}}},
	section{Name: "image/x-pcx", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xa}, Mask: []byte{}}, matcher{Level: 1, Offset: 1, Range: 0, Value: []byte{0x0}, Mask: []byte{}}, matcher{Level: 1, Offset: 1, Range: 0, Value: []byte{0x2}, Mask: []byte{}}, matcher{Level: 1, Offset: 1, Range: 0, Value: []byte{0x3}, Mask: []byte{}}, matcher{Level: 1, Offset: 1, Range: 0, Value: []byte{0x5}, Mask: []byte{}}}},
	section{Name: "image/x-portable-bitmap", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x31}, Mask: []byte{}}, matcher{Level: 1, Offset: 2, Range: 0, Value: []byte{0xa}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x34}, Mask: []byte{}}, matcher{Level: 1, Offset: 2, Range: 0, Value: []byte{0xa}, Mask: []byte{}}}},
	section{Name: "image/x-portable-graymap", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x32}, Mask: []byte{}}, matcher{Level: 1, Offset: 2, Range: 0, Value: []byte{0xa}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x35}, Mask: []byte{}}, matcher{Level: 1, Offset: 2, Range: 0, Value: []byte{0xa}, Mask: []byte{}}}},
	section{Name: "image/x-portable-pixmap", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x33}, Mask: []byte{}}, matcher{Level: 1, Offset: 2, Range: 0, Value: []byte{0xa}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x36}, Mask: []byte{}}, matcher{Level: 1, Offset: 2, Range: 0, Value: []byte{0xa}, Mask: []byte{}}}},
	section{Name: "image/x-quicktime", matchers: []matcher{matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x69, 0x64, 0x61, 0x74}, Mask: []byte{}}}},
	section{Name: "image/x-sigma-x3f", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x46, 0x4f, 0x56, 0x62}, Mask: []byte{}}, matcher{Level: 1, Offset: 4, Range: 0, Value: []byte{0xff, 0x0, 0xff, 0x0}, Mask: []byte{0x0, 0xff, 0x0, 0xff}}}},
	section{Name: "image/x-skencil", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x23, 0x53, 0x6b, 0x65, 0x74, 0x63, 0x68}, Mask: []byte{}}}},
	section{Name: "image/x-sun-raster", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x59, 0xa6, 0x6a, 0x95}, Mask: []byte{}}}},
	section{Name: "image/x-win-bitmap", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x0, 0x0, 0x2, 0x0}, Mask: []byte{}}, matcher{Level: 1, Offset: 5, Range: 0, Value: []byte{0x0}, Mask: []byte{}}}},
	section{Name: "image/x-wmf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xd7, 0xcd, 0xc6, 0x9a}, Mask: []byte{}}, matcher{Level: 1, Offset: 22, Range: 0, Value: []byte{0x1, 0x0}, Mask: []byte{}}, matcher{Level: 2, Offset: 24, Range: 0, Value: []byte{0x9, 0x0}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1, 0x0}, Mask: []byte{}}, matcher{Level: 1, Offset: 2, Range: 0, Value: []byte{0x9, 0x0}, Mask: []byte{}}}},
	section{Name: "image/x-xcf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x67, 0x69, 0x6d, 0x70, 0x20, 0x78, 0x63, 0x66, 0x20, 0x66, 0x69, 0x6c, 0x65}, Mask: []byte{}}}},
	section{Name: "image/x-xcursor", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x58, 0x63, 0x75, 0x72}, Mask: []byte{}}}},
	section{Name: "image/x-xfig", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x46, 0x49, 0x47}, Mask: []byte{}}}},
	section{Name: "image/x-xpixmap", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2f, 0x2a, 0x20, 0x58, 0x50, 0x4d}, Mask: []byte{}}}},
	section{Name: "message/news", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x41, 0x72, 0x74, 0x69, 0x63, 0x6c, 0x65}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x61, 0x74, 0x68, 0x3a}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x58, 0x72, 0x65, 0x66, 0x3a}, Mask: []byte{}}}},
	section{Name: "message/rfc822", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x20, 0x72, 0x6e, 0x65, 0x77, 0x73}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x46, 0x6f, 0x72, 0x77, 0x61, 0x72, 0x64, 0x20, 0x74, 0x6f}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x46, 0x72, 0x6f, 0x6d, 0x3a}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4e, 0x23, 0x21, 0x20, 0x72, 0x6e, 0x65, 0x77, 0x73}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x69, 0x70, 0x65, 0x20, 0x74, 0x6f}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x52, 0x65, 0x63, 0x65, 0x69, 0x76, 0x65, 0x64, 0x3a}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x52, 0x65, 0x6c, 0x61, 0x79, 0x2d, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x3a}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x2d, 0x50, 0x61, 0x74, 0x68, 0x3a}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x52, 0x65, 0x74, 0x75, 0x72, 0x6e, 0x2d, 0x70, 0x61, 0x74, 0x68, 0x3a}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x53, 0x75, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x3a, 0x20}, Mask: []byte{}}}},
	section{Name: "text/cache-manifest", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x43, 0x41, 0x43, 0x48, 0x45, 0x20, 0x4d, 0x41, 0x4e, 0x49, 0x46, 0x45, 0x53, 0x54}, Mask: []byte{}}, matcher{Level: 1, Offset: 14, Range: 0, Value: []byte{0x20}, Mask: []byte{}}, matcher{Level: 1, Offset: 14, Range: 0, Value: []byte{0x9}, Mask: []byte{}}, matcher{Level: 1, Offset: 14, Range: 0, Value: []byte{0xa}, Mask: []byte{}}, matcher{Level: 1, Offset: 14, Range: 0, Value: []byte{0xd}, Mask: []byte{}}}},
	section{Name: "text/calendar", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x42, 0x45, 0x47, 0x49, 0x4e, 0x3a, 0x56, 0x43, 0x41, 0x4c, 0x45, 0x4e, 0x44, 0x41, 0x52}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x62, 0x65, 0x67, 0x69, 0x6e, 0x3a, 0x76, 0x63, 0x61, 0x6c, 0x65, 0x6e, 0x64, 0x61, 0x72}, Mask: []byte{}}}},
	section{Name: "text/html", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x21, 0x44, 0x4f, 0x43, 0x54, 0x59, 0x50, 0x45, 0x20, 0x48, 0x54, 0x4d, 0x4c}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x21, 0x64, 0x6f, 0x63, 0x74, 0x79, 0x70, 0x65, 0x20, 0x68, 0x74, 0x6d, 0x6c}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x48, 0x45, 0x41, 0x44}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x68, 0x65, 0x61, 0x64}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x54, 0x49, 0x54, 0x4c, 0x45}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x74, 0x69, 0x74, 0x6c, 0x65}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x48, 0x54, 0x4d, 0x4c}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x68, 0x74, 0x6d, 0x6c}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x53, 0x43, 0x52, 0x49, 0x50, 0x54}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x42, 0x4f, 0x44, 0x59}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x62, 0x6f, 0x64, 0x79}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x21, 0x2d, 0x2d}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x68, 0x31}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x48, 0x31}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x21, 0x64, 0x6f, 0x63, 0x74, 0x79, 0x70, 0x65, 0x20, 0x48, 0x54, 0x4d, 0x4c}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x21, 0x44, 0x4f, 0x43, 0x54, 0x59, 0x50, 0x45, 0x20, 0x68, 0x74, 0x6d, 0x6c}, Mask: []byte{}}}},
	section{Name: "text/plain", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x54, 0x68, 0x69, 0x73, 0x20, 0x69, 0x73, 0x20, 0x54, 0x65, 0x58, 0x2c}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x54, 0x68, 0x69, 0x73, 0x20, 0x69, 0x73, 0x20, 0x4d, 0x45, 0x54, 0x41, 0x46, 0x4f, 0x4e, 0x54, 0x2c}, Mask: []byte{}}}},
	section{Name: "text/spreadsheet", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x49, 0x44, 0x3b}, Mask: []byte{}}}},
	section{Name: "text/troff", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2e, 0x5c, 0x22}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x27, 0x5c, 0x22}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x27, 0x2e, 0x5c, 0x22}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x5c, 0x22}, Mask: []byte{}}}},
	section{Name: "text/vcard", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x42, 0x45, 0x47, 0x49, 0x4e, 0x3a, 0x56, 0x43, 0x41, 0x52, 0x44}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x62, 0x65, 0x67, 0x69, 0x6e, 0x3a, 0x76, 0x63, 0x61, 0x72, 0x64}, Mask: []byte{}}}},
	section{Name: "text/vnd.graphviz", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x64, 0x69, 0x67, 0x72, 0x61, 0x70, 0x68, 0x20}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x73, 0x74, 0x72, 0x69, 0x63, 0x74, 0x20, 0x64, 0x69, 0x67, 0x72, 0x61, 0x70, 0x68, 0x20}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x67, 0x72, 0x61, 0x70, 0x68, 0x20}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x73, 0x74, 0x72, 0x69, 0x63, 0x74, 0x20, 0x67, 0x72, 0x61, 0x70, 0x68, 0x20}, Mask: []byte{}}}},
	section{Name: "text/vnd.sun.j2me.app-descriptor", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4d, 0x49, 0x44, 0x6c, 0x65, 0x74, 0x2d}, Mask: []byte{}}}},
	section{Name: "text/vnd.trolltech.linguist", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x3c, 0x54, 0x53}, Mask: []byte{}}}},
	section{Name: "text/vtt", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x57, 0x45, 0x42, 0x56, 0x54, 0x54}, Mask: []byte{}}}},
	section{Name: "text/x-ascii85", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x24, 0x6c, 0x74, 0x3b, 0x7e}, Mask: []byte{}}}},
	section{Name: "text/x-bibtex", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x25, 0x20, 0x54, 0x68, 0x69, 0x73, 0x20, 0x66, 0x69, 0x6c, 0x65, 0x20, 0x77, 0x61, 0x73, 0x20, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x20, 0x77, 0x69, 0x74, 0x68, 0x20, 0x4a, 0x61, 0x62, 0x52, 0x65, 0x66}, Mask: []byte{}}}},
	section{Name: "text/x-emacs-lisp", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xa, 0x28}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3b, 0x45, 0x4c, 0x43, 0x13, 0x0, 0x0, 0x0}, Mask: []byte{}}}},
	section{Name: "text/x-google-video-pointer", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x2e, 0x64, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x2e, 0x74, 0x68, 0x65, 0x2e, 0x66, 0x72, 0x65, 0x65, 0x2e, 0x47, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x56, 0x69, 0x64, 0x65, 0x6f, 0x2e, 0x50, 0x6c, 0x61, 0x79, 0x65, 0x72}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x20, 0x64, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x20, 0x74, 0x68, 0x65, 0x20, 0x66, 0x72, 0x65, 0x65, 0x20, 0x47, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x20, 0x56, 0x69, 0x64, 0x65, 0x6f, 0x20, 0x50, 0x6c, 0x61, 0x79, 0x65, 0x72}, Mask: []byte{}}}},
	section{Name: "text/x-iMelody", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x42, 0x45, 0x47, 0x49, 0x4e, 0x3a, 0x49, 0x4d, 0x45, 0x4c, 0x4f, 0x44, 0x59}, Mask: []byte{}}}},
	section{Name: "text/x-iptables", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x2f, 0x65, 0x74, 0x63, 0x2f, 0x73, 0x79, 0x73, 0x63, 0x6f, 0x6e, 0x66, 0x69, 0x67, 0x2f, 0x69, 0x70, 0x74, 0x61, 0x62, 0x6c, 0x65, 0x73}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x2a, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72}, Mask: []byte{}}, matcher{Level: 1, Offset: 0, Range: 257, Value: []byte{0x3a, 0x49, 0x4e, 0x50, 0x55, 0x54}, Mask: []byte{}}, matcher{Level: 2, Offset: 0, Range: 257, Value: []byte{0x3a, 0x46, 0x4f, 0x52, 0x57, 0x41, 0x52, 0x44}, Mask: []byte{}}, matcher{Level: 3, Offset: 0, Range: 257, Value: []byte{0x3a, 0x4f, 0x55, 0x54, 0x50, 0x55, 0x54}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x2d, 0x41, 0x20, 0x49, 0x4e, 0x50, 0x55, 0x54}, Mask: []byte{}}, matcher{Level: 1, Offset: 0, Range: 257, Value: []byte{0x2d, 0x41, 0x20, 0x46, 0x4f, 0x52, 0x57, 0x41, 0x52, 0x44}, Mask: []byte{}}, matcher{Level: 2, Offset: 0, Range: 257, Value: []byte{0x2d, 0x41, 0x20, 0x4f, 0x55, 0x54, 0x50, 0x55, 0x54}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x2d, 0x50, 0x20, 0x49, 0x4e, 0x50, 0x55, 0x54}, Mask: []byte{}}, matcher{Level: 1, Offset: 0, Range: 257, Value: []byte{0x2d, 0x50, 0x20, 0x46, 0x4f, 0x52, 0x57, 0x41, 0x52, 0x44}, Mask: []byte{}}, matcher{Level: 2, Offset: 0, Range: 257, Value: []byte{0x2d, 0x50, 0x20, 0x4f, 0x55, 0x54, 0x50, 0x55, 0x54}, Mask: []byte{}}}},
	section{Name: "text/x-ldif", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x64, 0x6e, 0x3a, 0x20, 0x63, 0x6e, 0x3d}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x64, 0x6e, 0x3a, 0x20, 0x6d, 0x61, 0x69, 0x6c, 0x3d}, Mask: []byte{}}}},
	section{Name: "text/x-lua", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x6c, 0x75, 0x61}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x65, 0x6e, 0x76, 0x20, 0x6c, 0x75, 0x61}, Mask: []byte{}}}},
	section{Name: "text/x-makefile", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x6d, 0x61, 0x6b, 0x65}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x20, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x6d, 0x61, 0x6b, 0x65}, Mask: []byte{}}}},
	section{Name: "text/x-matlab", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x66, 0x75, 0x6e, 0x63, 0x74, 0x69, 0x6f, 0x6e}, Mask: []byte{}}}},
	section{Name: "text/x-microdvd", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x7b, 0x31, 0x7d}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x7b, 0x30, 0x7d}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 7, Value: []byte{0x7d, 0x7b}, Mask: []byte{}}}},
	section{Name: "text/x-mpsub", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x46, 0x4f, 0x52, 0x4d, 0x41, 0x54, 0x3d}, Mask: []byte{}}}},
	section{Name: "text/x-mrml", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x6d, 0x72, 0x6d, 0x6c, 0x20}, Mask: []byte{}}}},
	section{Name: "text/x-ms-regedit", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x52, 0x45, 0x47, 0x45, 0x44, 0x49, 0x54}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x57, 0x69, 0x6e, 0x64, 0x6f, 0x77, 0x73, 0x20, 0x52, 0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x79, 0x20, 0x45, 0x64, 0x69, 0x74, 0x6f, 0x72, 0x20, 0x56, 0x65, 0x72, 0x73, 0x69, 0x6f, 0x6e, 0x20, 0x35, 0x2e, 0x30, 0x30}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0xff, 0xfe, 0x57, 0x0, 0x69, 0x0, 0x6e, 0x0, 0x64, 0x0, 0x6f, 0x0, 0x77, 0x0, 0x73, 0x0, 0x20, 0x0, 0x52, 0x0, 0x65, 0x0, 0x67, 0x0, 0x69, 0x0, 0x73, 0x0, 0x74, 0x0, 0x72, 0x0, 0x79, 0x0, 0x20, 0x0, 0x45, 0x0, 0x64, 0x0, 0x69, 0x0, 0x74, 0x0, 0x6f, 0x0, 0x72, 0x0}, Mask: []byte{}}}},
	section{Name: "text/x-mup", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2f, 0x2f, 0x21, 0x4d, 0x75, 0x70}, Mask: []byte{}}}},
	section{Name: "text/x-patch", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x64, 0x69, 0x66, 0x66, 0x9}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x64, 0x69, 0x66, 0x66, 0x20}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2a, 0x2a, 0x2a, 0x9}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2a, 0x2a, 0x2a, 0x20}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3d, 0x3d, 0x3d, 0x20}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2d, 0x2d, 0x2d, 0x20}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4f, 0x6e, 0x6c, 0x79, 0x20, 0x69, 0x6e, 0x9}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4f, 0x6e, 0x6c, 0x79, 0x20, 0x69, 0x6e, 0x20}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x43, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x20, 0x73, 0x75, 0x62, 0x64, 0x69, 0x72, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x69, 0x65, 0x73, 0x3a, 0x20}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x49, 0x6e, 0x64, 0x65, 0x78, 0x3a}, Mask: []byte{}}}},
	section{Name: "text/x-python", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x70, 0x79, 0x74, 0x68, 0x6f, 0x6e}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x20, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x70, 0x79, 0x74, 0x68, 0x6f, 0x6e}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x65, 0x76, 0x61, 0x6c, 0x20, 0x22, 0x65, 0x78, 0x65, 0x63, 0x20, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x70, 0x79, 0x74, 0x68, 0x6f, 0x6e}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x70, 0x79, 0x74, 0x68, 0x6f, 0x6e}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x20, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x70, 0x79, 0x74, 0x68, 0x6f, 0x6e}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x65, 0x76, 0x61, 0x6c, 0x20, 0x22, 0x65, 0x78, 0x65, 0x63, 0x20, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x70, 0x79, 0x74, 0x68, 0x6f, 0x6e}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x70, 0x79, 0x74, 0x68, 0x6f, 0x6e}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x21, 0x20, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x70, 0x79, 0x74, 0x68, 0x6f, 0x6e}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x65, 0x76, 0x61, 0x6c, 0x20, 0x22, 0x65, 0x78, 0x65, 0x63, 0x20, 0x2f, 0x75, 0x73, 0x72, 0x2f, 0x6c, 0x6f, 0x63, 0x61, 0x6c, 0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x70, 0x79, 0x74, 0x68, 0x6f, 0x6e}, Mask: []byte{}}, matcher{Level: 0, Offset: 1, Range: 16, Value: []byte{0x2f, 0x62, 0x69, 0x6e, 0x2f, 0x65, 0x6e, 0x76, 0x20, 0x70, 0x79, 0x74, 0x68, 0x6f, 0x6e}, Mask: []byte{}}}},
	section{Name: "text/x-rpm-spec", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x53, 0x75, 0x6d, 0x6d, 0x61, 0x72, 0x79, 0x3a, 0x20}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x25, 0x64, 0x65, 0x66, 0x69, 0x6e, 0x65, 0x20}, Mask: []byte{}}}},
	section{Name: "text/x-ssa", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x5b, 0x53, 0x63, 0x72, 0x69, 0x70, 0x74, 0x20, 0x49, 0x6e, 0x66, 0x6f, 0x5d}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 257, Value: []byte{0x44, 0x69, 0x61, 0x6c, 0x6f, 0x67, 0x75, 0x65, 0x3a, 0x20}, Mask: []byte{}}}},
	section{Name: "text/x-subviewer", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x5b, 0x49, 0x4e, 0x46, 0x4f, 0x52, 0x4d, 0x41, 0x54, 0x49, 0x4f, 0x4e, 0x5d}, Mask: []byte{}}}},
	section{Name: "text/x-tex", matchers: []matcher{matcher{Level: 0, Offset: 1, Range: 0, Value: []byte{0x64, 0x6f, 0x63, 0x75, 0x6d, 0x65, 0x6e, 0x74, 0x63, 0x6c, 0x61, 0x73, 0x73}, Mask: []byte{}}}},
	section{Name: "text/x-uuencode", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x62, 0x65, 0x67, 0x69, 0x6e}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x62, 0x65, 0x67, 0x69, 0x6e, 0x2d, 0x62, 0x61, 0x73, 0x65, 0x36, 0x34}, Mask: []byte{}}}},
	section{Name: "text/x-xxencode", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x62, 0x65, 0x67, 0x69, 0x6e}, Mask: []byte{}}}},
	section{Name: "text/xmcd", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x20, 0x78, 0x6d, 0x63, 0x64}, Mask: []byte{}}}},
	section{Name: "video/3gpp", matchers: []matcher{matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x66, 0x74, 0x79, 0x70, 0x33, 0x67, 0x65}, Mask: []byte{}}, matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x66, 0x74, 0x79, 0x70, 0x33, 0x67, 0x67}, Mask: []byte{}}, matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x66, 0x74, 0x79, 0x70, 0x33, 0x67, 0x70}, Mask: []byte{}}, matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x66, 0x74, 0x79, 0x70, 0x33, 0x67, 0x73}, Mask: []byte{}}}},
	section{Name: "video/3gpp2", matchers: []matcher{matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x66, 0x74, 0x79, 0x70, 0x33, 0x67, 0x32}, Mask: []byte{}}}},
	section{Name: "video/annodex", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4f, 0x67, 0x67, 0x53}, Mask: []byte{}}, matcher{Level: 1, Offset: 28, Range: 0, Value: []byte{0x66, 0x69, 0x73, 0x68, 0x65, 0x61, 0x64, 0x0}, Mask: []byte{}}, matcher{Level: 2, Offset: 56, Range: 457, Value: []byte{0x43, 0x4d, 0x4d, 0x4c, 0x0, 0x0, 0x0, 0x0}, Mask: []byte{}}}},
	section{Name: "video/dv", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1f, 0x7, 0x0, 0x0}, Mask: []byte{0xff, 0xff, 0xff, 0x0}}}},
	section{Name: "video/mp2t", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x47, 0x40, 0x0, 0x10}, Mask: []byte{0xff, 0x40, 0x0, 0xdf}}}},
	section{Name: "video/mp4", matchers: []matcher{matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x66, 0x74, 0x79, 0x70, 0x69, 0x73, 0x6f, 0x6d}, Mask: []byte{}}, matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x66, 0x74, 0x79, 0x70, 0x6d, 0x70, 0x34, 0x32}, Mask: []byte{}}, matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x66, 0x74, 0x79, 0x70, 0x4d, 0x53, 0x4e, 0x56}, Mask: []byte{}}, matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x66, 0x74, 0x79, 0x70, 0x4d, 0x34, 0x56, 0x20}, Mask: []byte{}}, matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x66, 0x74, 0x79, 0x70, 0x66, 0x34, 0x76, 0x20}, Mask: []byte{}}}},
	section{Name: "video/mpeg", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x47, 0x3f, 0xff, 0x10}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x0, 0x0, 0x1, 0xb3}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x0, 0x0, 0x1, 0xba}, Mask: []byte{}}}},
	section{Name: "video/ogg", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4f, 0x67, 0x67, 0x53}, Mask: []byte{}}}},
	section{Name: "video/quicktime", matchers: []matcher{matcher{Level: 0, Offset: 12, Range: 0, Value: []byte{0x6d, 0x64, 0x61, 0x74}, Mask: []byte{}}, matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x6d, 0x64, 0x61, 0x74}, Mask: []byte{}}, matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x6d, 0x6f, 0x6f, 0x76}, Mask: []byte{}}, matcher{Level: 0, Offset: 4, Range: 0, Value: []byte{0x66, 0x74, 0x79, 0x70, 0x71, 0x74}, Mask: []byte{}}}},
	section{Name: "video/vnd.mpegurl", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x45, 0x58, 0x54, 0x4d, 0x34, 0x55}, Mask: []byte{}}}},
	section{Name: "video/webm", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1a, 0x45, 0xdf, 0xa3}, Mask: []byte{}}, matcher{Level: 1, Offset: 5, Range: 61, Value: []byte{0x42, 0x82}, Mask: []byte{}}, matcher{Level: 2, Offset: 8, Range: 68, Value: []byte{0x77, 0x65, 0x62, 0x6d}, Mask: []byte{}}}},
	section{Name: "video/x-flic", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x11, 0xaf}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x12, 0xaf}, Mask: []byte{}}}},
	section{Name: "video/x-flv", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x46, 0x4c, 0x56}, Mask: []byte{}}}},
	section{Name: "video/x-ms-asf", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x30, 0x26, 0xb2, 0x75}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x5b, 0x52, 0x65, 0x66, 0x65, 0x72, 0x65, 0x6e, 0x63, 0x65, 0x5d}, Mask: []byte{}}}},
	section{Name: "video/x-msvideo", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x52, 0x49, 0x46, 0x46}, Mask: []byte{}}, matcher{Level: 1, Offset: 8, Range: 0, Value: []byte{0x41, 0x56, 0x49, 0x20}, Mask: []byte{}}}},
	section{Name: "video/x-nsv", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4e, 0x53, 0x56, 0x66}, Mask: []byte{}}}},
	section{Name: "video/x-sgi-movie", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4d, 0x4f, 0x56, 0x49}, Mask: []byte{}}}},
	section{Name: "x-epoc/x-sisx-app", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x7a, 0x1a, 0x20, 0x10}, Mask: []byte{}}}},
	section{Name: "application/x-archive", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x61, 0x72, 0x3e}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x21, 0x3c, 0x61, 0x72, 0x63, 0x68, 0x3e}, Mask: []byte{}}}},
	section{Name: "audio/x-riff", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x52, 0x49, 0x46, 0x46}, Mask: []byte{}}}},
	section{Name: "application/x-executable", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x7f, 0x45, 0x4c, 0x46}, Mask: []byte{}}, matcher{Level: 1, Offset: 5, Range: 0, Value: []byte{0x1}, Mask: []byte{}}, matcher{Level: 2, Offset: 16, Range: 0, Value: []byte{0x2, 0x0}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x7f, 0x45, 0x4c, 0x46}, Mask: []byte{}}, matcher{Level: 1, Offset: 5, Range: 0, Value: []byte{0x2}, Mask: []byte{}}, matcher{Level: 2, Offset: 16, Range: 0, Value: []byte{0x0, 0x2}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x4d, 0x5a}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1c, 0x52}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1, 0x10}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x1, 0x11}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x83, 0x1}, Mask: []byte{}}}},
	section{Name: "application/xml", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x3f, 0x78, 0x6d, 0x6c}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x3c, 0x21, 0x2d, 0x2d}, Mask: []byte{}}}},
	section{Name: "application/zip", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x50, 0x4b, 0x3, 0x4}, Mask: []byte{}}}},
	section{Name: "audio/basic", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2e, 0x73, 0x6e, 0x64}, Mask: []byte{}}}},
	section{Name: "video/x-javafx", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x46, 0x4c, 0x56}, Mask: []byte{}}}},
	section{Name: "text/x-csrc", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2f, 0x2a}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x2f, 0x2f}, Mask: []byte{}}, matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x69, 0x6e, 0x63, 0x6c, 0x75, 0x64, 0x65}, Mask: []byte{}}}},
	section{Name: "text/x-objcsrc", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x23, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74}, Mask: []byte{}}}},
	section{Name: "application/mbox", matchers: []matcher{matcher{Level: 0, Offset: 0, Range: 0, Value: []byte{0x46, 0x72, 0x6f, 0x6d, 0x20}, Mask: []byte{}}}},
	section{Name: "image/x-tga", matchers: []matcher{matcher{Level: 0, Offset: 1, Range: 0, Value: []byte{0x1, 0x1}, Mask: []byte{}}, matcher{Level: 0, Offset: 1, Range: 0, Value: []byte{0x1, 0x39}, Mask: []byte{}}, matcher{Level: 0, Offset: 1, Range: 0, Value: []byte{0x0, 0x3}, Mask: []byte{}}, matcher{Level: 0, Offset: 1, Range: 0, Value: []byte{0x0, 0xa}, Mask: []byte{}}, matcher{Level: 0, Offset: 1, Range: 0, Value: []byte{0x0, 0xb}, Mask: []byte{}}, matcher{Level: 0, Offset: 1, Range: 0, Value: []byte{0x0, 0x2}, Mask: []byte{}}}},
}
